import { createAggregatedClient } from "@smithy/smithy-client";
import { AcceptCertificateTransferCommand, } from "./commands/AcceptCertificateTransferCommand";
import { AddThingToBillingGroupCommand, } from "./commands/AddThingToBillingGroupCommand";
import { AddThingToThingGroupCommand, } from "./commands/AddThingToThingGroupCommand";
import { AssociateSbomWithPackageVersionCommand, } from "./commands/AssociateSbomWithPackageVersionCommand";
import { AssociateTargetsWithJobCommand, } from "./commands/AssociateTargetsWithJobCommand";
import { AttachPolicyCommand, } from "./commands/AttachPolicyCommand";
import { AttachPrincipalPolicyCommand, } from "./commands/AttachPrincipalPolicyCommand";
import { AttachSecurityProfileCommand, } from "./commands/AttachSecurityProfileCommand";
import { AttachThingPrincipalCommand, } from "./commands/AttachThingPrincipalCommand";
import { CancelAuditMitigationActionsTaskCommand, } from "./commands/CancelAuditMitigationActionsTaskCommand";
import { CancelAuditTaskCommand, } from "./commands/CancelAuditTaskCommand";
import { CancelCertificateTransferCommand, } from "./commands/CancelCertificateTransferCommand";
import { CancelDetectMitigationActionsTaskCommand, } from "./commands/CancelDetectMitigationActionsTaskCommand";
import { CancelJobCommand } from "./commands/CancelJobCommand";
import { CancelJobExecutionCommand, } from "./commands/CancelJobExecutionCommand";
import { ClearDefaultAuthorizerCommand, } from "./commands/ClearDefaultAuthorizerCommand";
import { ConfirmTopicRuleDestinationCommand, } from "./commands/ConfirmTopicRuleDestinationCommand";
import { CreateAuditSuppressionCommand, } from "./commands/CreateAuditSuppressionCommand";
import { CreateAuthorizerCommand, } from "./commands/CreateAuthorizerCommand";
import { CreateBillingGroupCommand, } from "./commands/CreateBillingGroupCommand";
import { CreateCertificateFromCsrCommand, } from "./commands/CreateCertificateFromCsrCommand";
import { CreateCertificateProviderCommand, } from "./commands/CreateCertificateProviderCommand";
import { CreateCustomMetricCommand, } from "./commands/CreateCustomMetricCommand";
import { CreateDimensionCommand, } from "./commands/CreateDimensionCommand";
import { CreateDomainConfigurationCommand, } from "./commands/CreateDomainConfigurationCommand";
import { CreateDynamicThingGroupCommand, } from "./commands/CreateDynamicThingGroupCommand";
import { CreateFleetMetricCommand, } from "./commands/CreateFleetMetricCommand";
import { CreateJobCommand } from "./commands/CreateJobCommand";
import { CreateJobTemplateCommand, } from "./commands/CreateJobTemplateCommand";
import { CreateKeysAndCertificateCommand, } from "./commands/CreateKeysAndCertificateCommand";
import { CreateMitigationActionCommand, } from "./commands/CreateMitigationActionCommand";
import { CreateOTAUpdateCommand, } from "./commands/CreateOTAUpdateCommand";
import { CreatePackageCommand, } from "./commands/CreatePackageCommand";
import { CreatePackageVersionCommand, } from "./commands/CreatePackageVersionCommand";
import { CreatePolicyCommand, } from "./commands/CreatePolicyCommand";
import { CreatePolicyVersionCommand, } from "./commands/CreatePolicyVersionCommand";
import { CreateProvisioningClaimCommand, } from "./commands/CreateProvisioningClaimCommand";
import { CreateProvisioningTemplateCommand, } from "./commands/CreateProvisioningTemplateCommand";
import { CreateProvisioningTemplateVersionCommand, } from "./commands/CreateProvisioningTemplateVersionCommand";
import { CreateRoleAliasCommand, } from "./commands/CreateRoleAliasCommand";
import { CreateScheduledAuditCommand, } from "./commands/CreateScheduledAuditCommand";
import { CreateSecurityProfileCommand, } from "./commands/CreateSecurityProfileCommand";
import { CreateStreamCommand, } from "./commands/CreateStreamCommand";
import { CreateThingCommand } from "./commands/CreateThingCommand";
import { CreateThingGroupCommand, } from "./commands/CreateThingGroupCommand";
import { CreateThingTypeCommand, } from "./commands/CreateThingTypeCommand";
import { CreateTopicRuleCommand, } from "./commands/CreateTopicRuleCommand";
import { CreateTopicRuleDestinationCommand, } from "./commands/CreateTopicRuleDestinationCommand";
import { DeleteAccountAuditConfigurationCommand, } from "./commands/DeleteAccountAuditConfigurationCommand";
import { DeleteAuditSuppressionCommand, } from "./commands/DeleteAuditSuppressionCommand";
import { DeleteAuthorizerCommand, } from "./commands/DeleteAuthorizerCommand";
import { DeleteBillingGroupCommand, } from "./commands/DeleteBillingGroupCommand";
import { DeleteCACertificateCommand, } from "./commands/DeleteCACertificateCommand";
import { DeleteCertificateCommand, } from "./commands/DeleteCertificateCommand";
import { DeleteCertificateProviderCommand, } from "./commands/DeleteCertificateProviderCommand";
import { DeleteCustomMetricCommand, } from "./commands/DeleteCustomMetricCommand";
import { DeleteDimensionCommand, } from "./commands/DeleteDimensionCommand";
import { DeleteDomainConfigurationCommand, } from "./commands/DeleteDomainConfigurationCommand";
import { DeleteDynamicThingGroupCommand, } from "./commands/DeleteDynamicThingGroupCommand";
import { DeleteFleetMetricCommand, } from "./commands/DeleteFleetMetricCommand";
import { DeleteJobCommand } from "./commands/DeleteJobCommand";
import { DeleteJobExecutionCommand, } from "./commands/DeleteJobExecutionCommand";
import { DeleteJobTemplateCommand, } from "./commands/DeleteJobTemplateCommand";
import { DeleteMitigationActionCommand, } from "./commands/DeleteMitigationActionCommand";
import { DeleteOTAUpdateCommand, } from "./commands/DeleteOTAUpdateCommand";
import { DeletePackageCommand, } from "./commands/DeletePackageCommand";
import { DeletePackageVersionCommand, } from "./commands/DeletePackageVersionCommand";
import { DeletePolicyCommand, } from "./commands/DeletePolicyCommand";
import { DeletePolicyVersionCommand, } from "./commands/DeletePolicyVersionCommand";
import { DeleteProvisioningTemplateCommand, } from "./commands/DeleteProvisioningTemplateCommand";
import { DeleteProvisioningTemplateVersionCommand, } from "./commands/DeleteProvisioningTemplateVersionCommand";
import { DeleteRegistrationCodeCommand, } from "./commands/DeleteRegistrationCodeCommand";
import { DeleteRoleAliasCommand, } from "./commands/DeleteRoleAliasCommand";
import { DeleteScheduledAuditCommand, } from "./commands/DeleteScheduledAuditCommand";
import { DeleteSecurityProfileCommand, } from "./commands/DeleteSecurityProfileCommand";
import { DeleteStreamCommand, } from "./commands/DeleteStreamCommand";
import { DeleteThingCommand } from "./commands/DeleteThingCommand";
import { DeleteThingGroupCommand, } from "./commands/DeleteThingGroupCommand";
import { DeleteThingTypeCommand, } from "./commands/DeleteThingTypeCommand";
import { DeleteTopicRuleCommand, } from "./commands/DeleteTopicRuleCommand";
import { DeleteTopicRuleDestinationCommand, } from "./commands/DeleteTopicRuleDestinationCommand";
import { DeleteV2LoggingLevelCommand, } from "./commands/DeleteV2LoggingLevelCommand";
import { DeprecateThingTypeCommand, } from "./commands/DeprecateThingTypeCommand";
import { DescribeAccountAuditConfigurationCommand, } from "./commands/DescribeAccountAuditConfigurationCommand";
import { DescribeAuditFindingCommand, } from "./commands/DescribeAuditFindingCommand";
import { DescribeAuditMitigationActionsTaskCommand, } from "./commands/DescribeAuditMitigationActionsTaskCommand";
import { DescribeAuditSuppressionCommand, } from "./commands/DescribeAuditSuppressionCommand";
import { DescribeAuditTaskCommand, } from "./commands/DescribeAuditTaskCommand";
import { DescribeAuthorizerCommand, } from "./commands/DescribeAuthorizerCommand";
import { DescribeBillingGroupCommand, } from "./commands/DescribeBillingGroupCommand";
import { DescribeCACertificateCommand, } from "./commands/DescribeCACertificateCommand";
import { DescribeCertificateCommand, } from "./commands/DescribeCertificateCommand";
import { DescribeCertificateProviderCommand, } from "./commands/DescribeCertificateProviderCommand";
import { DescribeCustomMetricCommand, } from "./commands/DescribeCustomMetricCommand";
import { DescribeDefaultAuthorizerCommand, } from "./commands/DescribeDefaultAuthorizerCommand";
import { DescribeDetectMitigationActionsTaskCommand, } from "./commands/DescribeDetectMitigationActionsTaskCommand";
import { DescribeDimensionCommand, } from "./commands/DescribeDimensionCommand";
import { DescribeDomainConfigurationCommand, } from "./commands/DescribeDomainConfigurationCommand";
import { DescribeEndpointCommand, } from "./commands/DescribeEndpointCommand";
import { DescribeEventConfigurationsCommand, } from "./commands/DescribeEventConfigurationsCommand";
import { DescribeFleetMetricCommand, } from "./commands/DescribeFleetMetricCommand";
import { DescribeIndexCommand, } from "./commands/DescribeIndexCommand";
import { DescribeJobCommand } from "./commands/DescribeJobCommand";
import { DescribeJobExecutionCommand, } from "./commands/DescribeJobExecutionCommand";
import { DescribeJobTemplateCommand, } from "./commands/DescribeJobTemplateCommand";
import { DescribeManagedJobTemplateCommand, } from "./commands/DescribeManagedJobTemplateCommand";
import { DescribeMitigationActionCommand, } from "./commands/DescribeMitigationActionCommand";
import { DescribeProvisioningTemplateCommand, } from "./commands/DescribeProvisioningTemplateCommand";
import { DescribeProvisioningTemplateVersionCommand, } from "./commands/DescribeProvisioningTemplateVersionCommand";
import { DescribeRoleAliasCommand, } from "./commands/DescribeRoleAliasCommand";
import { DescribeScheduledAuditCommand, } from "./commands/DescribeScheduledAuditCommand";
import { DescribeSecurityProfileCommand, } from "./commands/DescribeSecurityProfileCommand";
import { DescribeStreamCommand, } from "./commands/DescribeStreamCommand";
import { DescribeThingCommand, } from "./commands/DescribeThingCommand";
import { DescribeThingGroupCommand, } from "./commands/DescribeThingGroupCommand";
import { DescribeThingRegistrationTaskCommand, } from "./commands/DescribeThingRegistrationTaskCommand";
import { DescribeThingTypeCommand, } from "./commands/DescribeThingTypeCommand";
import { DetachPolicyCommand, } from "./commands/DetachPolicyCommand";
import { DetachPrincipalPolicyCommand, } from "./commands/DetachPrincipalPolicyCommand";
import { DetachSecurityProfileCommand, } from "./commands/DetachSecurityProfileCommand";
import { DetachThingPrincipalCommand, } from "./commands/DetachThingPrincipalCommand";
import { DisableTopicRuleCommand, } from "./commands/DisableTopicRuleCommand";
import { DisassociateSbomFromPackageVersionCommand, } from "./commands/DisassociateSbomFromPackageVersionCommand";
import { EnableTopicRuleCommand, } from "./commands/EnableTopicRuleCommand";
import { GetBehaviorModelTrainingSummariesCommand, } from "./commands/GetBehaviorModelTrainingSummariesCommand";
import { GetBucketsAggregationCommand, } from "./commands/GetBucketsAggregationCommand";
import { GetCardinalityCommand, } from "./commands/GetCardinalityCommand";
import { GetEffectivePoliciesCommand, } from "./commands/GetEffectivePoliciesCommand";
import { GetIndexingConfigurationCommand, } from "./commands/GetIndexingConfigurationCommand";
import { GetJobDocumentCommand, } from "./commands/GetJobDocumentCommand";
import { GetLoggingOptionsCommand, } from "./commands/GetLoggingOptionsCommand";
import { GetOTAUpdateCommand, } from "./commands/GetOTAUpdateCommand";
import { GetPackageCommand } from "./commands/GetPackageCommand";
import { GetPackageConfigurationCommand, } from "./commands/GetPackageConfigurationCommand";
import { GetPackageVersionCommand, } from "./commands/GetPackageVersionCommand";
import { GetPercentilesCommand, } from "./commands/GetPercentilesCommand";
import { GetPolicyCommand } from "./commands/GetPolicyCommand";
import { GetPolicyVersionCommand, } from "./commands/GetPolicyVersionCommand";
import { GetRegistrationCodeCommand, } from "./commands/GetRegistrationCodeCommand";
import { GetStatisticsCommand, } from "./commands/GetStatisticsCommand";
import { GetTopicRuleCommand, } from "./commands/GetTopicRuleCommand";
import { GetTopicRuleDestinationCommand, } from "./commands/GetTopicRuleDestinationCommand";
import { GetV2LoggingOptionsCommand, } from "./commands/GetV2LoggingOptionsCommand";
import { ListActiveViolationsCommand, } from "./commands/ListActiveViolationsCommand";
import { ListAttachedPoliciesCommand, } from "./commands/ListAttachedPoliciesCommand";
import { ListAuditFindingsCommand, } from "./commands/ListAuditFindingsCommand";
import { ListAuditMitigationActionsExecutionsCommand, } from "./commands/ListAuditMitigationActionsExecutionsCommand";
import { ListAuditMitigationActionsTasksCommand, } from "./commands/ListAuditMitigationActionsTasksCommand";
import { ListAuditSuppressionsCommand, } from "./commands/ListAuditSuppressionsCommand";
import { ListAuditTasksCommand, } from "./commands/ListAuditTasksCommand";
import { ListAuthorizersCommand, } from "./commands/ListAuthorizersCommand";
import { ListBillingGroupsCommand, } from "./commands/ListBillingGroupsCommand";
import { ListCACertificatesCommand, } from "./commands/ListCACertificatesCommand";
import { ListCertificateProvidersCommand, } from "./commands/ListCertificateProvidersCommand";
import { ListCertificatesByCACommand, } from "./commands/ListCertificatesByCACommand";
import { ListCertificatesCommand, } from "./commands/ListCertificatesCommand";
import { ListCustomMetricsCommand, } from "./commands/ListCustomMetricsCommand";
import { ListDetectMitigationActionsExecutionsCommand, } from "./commands/ListDetectMitigationActionsExecutionsCommand";
import { ListDetectMitigationActionsTasksCommand, } from "./commands/ListDetectMitigationActionsTasksCommand";
import { ListDimensionsCommand, } from "./commands/ListDimensionsCommand";
import { ListDomainConfigurationsCommand, } from "./commands/ListDomainConfigurationsCommand";
import { ListFleetMetricsCommand, } from "./commands/ListFleetMetricsCommand";
import { ListIndicesCommand } from "./commands/ListIndicesCommand";
import { ListJobExecutionsForJobCommand, } from "./commands/ListJobExecutionsForJobCommand";
import { ListJobExecutionsForThingCommand, } from "./commands/ListJobExecutionsForThingCommand";
import { ListJobsCommand } from "./commands/ListJobsCommand";
import { ListJobTemplatesCommand, } from "./commands/ListJobTemplatesCommand";
import { ListManagedJobTemplatesCommand, } from "./commands/ListManagedJobTemplatesCommand";
import { ListMetricValuesCommand, } from "./commands/ListMetricValuesCommand";
import { ListMitigationActionsCommand, } from "./commands/ListMitigationActionsCommand";
import { ListOTAUpdatesCommand, } from "./commands/ListOTAUpdatesCommand";
import { ListOutgoingCertificatesCommand, } from "./commands/ListOutgoingCertificatesCommand";
import { ListPackagesCommand, } from "./commands/ListPackagesCommand";
import { ListPackageVersionsCommand, } from "./commands/ListPackageVersionsCommand";
import { ListPoliciesCommand, } from "./commands/ListPoliciesCommand";
import { ListPolicyPrincipalsCommand, } from "./commands/ListPolicyPrincipalsCommand";
import { ListPolicyVersionsCommand, } from "./commands/ListPolicyVersionsCommand";
import { ListPrincipalPoliciesCommand, } from "./commands/ListPrincipalPoliciesCommand";
import { ListPrincipalThingsCommand, } from "./commands/ListPrincipalThingsCommand";
import { ListProvisioningTemplatesCommand, } from "./commands/ListProvisioningTemplatesCommand";
import { ListProvisioningTemplateVersionsCommand, } from "./commands/ListProvisioningTemplateVersionsCommand";
import { ListRelatedResourcesForAuditFindingCommand, } from "./commands/ListRelatedResourcesForAuditFindingCommand";
import { ListRoleAliasesCommand, } from "./commands/ListRoleAliasesCommand";
import { ListSbomValidationResultsCommand, } from "./commands/ListSbomValidationResultsCommand";
import { ListScheduledAuditsCommand, } from "./commands/ListScheduledAuditsCommand";
import { ListSecurityProfilesCommand, } from "./commands/ListSecurityProfilesCommand";
import { ListSecurityProfilesForTargetCommand, } from "./commands/ListSecurityProfilesForTargetCommand";
import { ListStreamsCommand } from "./commands/ListStreamsCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { ListTargetsForPolicyCommand, } from "./commands/ListTargetsForPolicyCommand";
import { ListTargetsForSecurityProfileCommand, } from "./commands/ListTargetsForSecurityProfileCommand";
import { ListThingGroupsCommand, } from "./commands/ListThingGroupsCommand";
import { ListThingGroupsForThingCommand, } from "./commands/ListThingGroupsForThingCommand";
import { ListThingPrincipalsCommand, } from "./commands/ListThingPrincipalsCommand";
import { ListThingRegistrationTaskReportsCommand, } from "./commands/ListThingRegistrationTaskReportsCommand";
import { ListThingRegistrationTasksCommand, } from "./commands/ListThingRegistrationTasksCommand";
import { ListThingsCommand } from "./commands/ListThingsCommand";
import { ListThingsInBillingGroupCommand, } from "./commands/ListThingsInBillingGroupCommand";
import { ListThingsInThingGroupCommand, } from "./commands/ListThingsInThingGroupCommand";
import { ListThingTypesCommand, } from "./commands/ListThingTypesCommand";
import { ListTopicRuleDestinationsCommand, } from "./commands/ListTopicRuleDestinationsCommand";
import { ListTopicRulesCommand, } from "./commands/ListTopicRulesCommand";
import { ListV2LoggingLevelsCommand, } from "./commands/ListV2LoggingLevelsCommand";
import { ListViolationEventsCommand, } from "./commands/ListViolationEventsCommand";
import { PutVerificationStateOnViolationCommand, } from "./commands/PutVerificationStateOnViolationCommand";
import { RegisterCACertificateCommand, } from "./commands/RegisterCACertificateCommand";
import { RegisterCertificateCommand, } from "./commands/RegisterCertificateCommand";
import { RegisterCertificateWithoutCACommand, } from "./commands/RegisterCertificateWithoutCACommand";
import { RegisterThingCommand, } from "./commands/RegisterThingCommand";
import { RejectCertificateTransferCommand, } from "./commands/RejectCertificateTransferCommand";
import { RemoveThingFromBillingGroupCommand, } from "./commands/RemoveThingFromBillingGroupCommand";
import { RemoveThingFromThingGroupCommand, } from "./commands/RemoveThingFromThingGroupCommand";
import { ReplaceTopicRuleCommand, } from "./commands/ReplaceTopicRuleCommand";
import { SearchIndexCommand } from "./commands/SearchIndexCommand";
import { SetDefaultAuthorizerCommand, } from "./commands/SetDefaultAuthorizerCommand";
import { SetDefaultPolicyVersionCommand, } from "./commands/SetDefaultPolicyVersionCommand";
import { SetLoggingOptionsCommand, } from "./commands/SetLoggingOptionsCommand";
import { SetV2LoggingLevelCommand, } from "./commands/SetV2LoggingLevelCommand";
import { SetV2LoggingOptionsCommand, } from "./commands/SetV2LoggingOptionsCommand";
import { StartAuditMitigationActionsTaskCommand, } from "./commands/StartAuditMitigationActionsTaskCommand";
import { StartDetectMitigationActionsTaskCommand, } from "./commands/StartDetectMitigationActionsTaskCommand";
import { StartOnDemandAuditTaskCommand, } from "./commands/StartOnDemandAuditTaskCommand";
import { StartThingRegistrationTaskCommand, } from "./commands/StartThingRegistrationTaskCommand";
import { StopThingRegistrationTaskCommand, } from "./commands/StopThingRegistrationTaskCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { TestAuthorizationCommand, } from "./commands/TestAuthorizationCommand";
import { TestInvokeAuthorizerCommand, } from "./commands/TestInvokeAuthorizerCommand";
import { TransferCertificateCommand, } from "./commands/TransferCertificateCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateAccountAuditConfigurationCommand, } from "./commands/UpdateAccountAuditConfigurationCommand";
import { UpdateAuditSuppressionCommand, } from "./commands/UpdateAuditSuppressionCommand";
import { UpdateAuthorizerCommand, } from "./commands/UpdateAuthorizerCommand";
import { UpdateBillingGroupCommand, } from "./commands/UpdateBillingGroupCommand";
import { UpdateCACertificateCommand, } from "./commands/UpdateCACertificateCommand";
import { UpdateCertificateCommand, } from "./commands/UpdateCertificateCommand";
import { UpdateCertificateProviderCommand, } from "./commands/UpdateCertificateProviderCommand";
import { UpdateCustomMetricCommand, } from "./commands/UpdateCustomMetricCommand";
import { UpdateDimensionCommand, } from "./commands/UpdateDimensionCommand";
import { UpdateDomainConfigurationCommand, } from "./commands/UpdateDomainConfigurationCommand";
import { UpdateDynamicThingGroupCommand, } from "./commands/UpdateDynamicThingGroupCommand";
import { UpdateEventConfigurationsCommand, } from "./commands/UpdateEventConfigurationsCommand";
import { UpdateFleetMetricCommand, } from "./commands/UpdateFleetMetricCommand";
import { UpdateIndexingConfigurationCommand, } from "./commands/UpdateIndexingConfigurationCommand";
import { UpdateJobCommand } from "./commands/UpdateJobCommand";
import { UpdateMitigationActionCommand, } from "./commands/UpdateMitigationActionCommand";
import { UpdatePackageCommand, } from "./commands/UpdatePackageCommand";
import { UpdatePackageConfigurationCommand, } from "./commands/UpdatePackageConfigurationCommand";
import { UpdatePackageVersionCommand, } from "./commands/UpdatePackageVersionCommand";
import { UpdateProvisioningTemplateCommand, } from "./commands/UpdateProvisioningTemplateCommand";
import { UpdateRoleAliasCommand, } from "./commands/UpdateRoleAliasCommand";
import { UpdateScheduledAuditCommand, } from "./commands/UpdateScheduledAuditCommand";
import { UpdateSecurityProfileCommand, } from "./commands/UpdateSecurityProfileCommand";
import { UpdateStreamCommand, } from "./commands/UpdateStreamCommand";
import { UpdateThingCommand } from "./commands/UpdateThingCommand";
import { UpdateThingGroupCommand, } from "./commands/UpdateThingGroupCommand";
import { UpdateThingGroupsForThingCommand, } from "./commands/UpdateThingGroupsForThingCommand";
import { UpdateTopicRuleDestinationCommand, } from "./commands/UpdateTopicRuleDestinationCommand";
import { ValidateSecurityProfileBehaviorsCommand, } from "./commands/ValidateSecurityProfileBehaviorsCommand";
import { IoTClient } from "./IoTClient";
const commands = {
    AcceptCertificateTransferCommand,
    AddThingToBillingGroupCommand,
    AddThingToThingGroupCommand,
    AssociateSbomWithPackageVersionCommand,
    AssociateTargetsWithJobCommand,
    AttachPolicyCommand,
    AttachPrincipalPolicyCommand,
    AttachSecurityProfileCommand,
    AttachThingPrincipalCommand,
    CancelAuditMitigationActionsTaskCommand,
    CancelAuditTaskCommand,
    CancelCertificateTransferCommand,
    CancelDetectMitigationActionsTaskCommand,
    CancelJobCommand,
    CancelJobExecutionCommand,
    ClearDefaultAuthorizerCommand,
    ConfirmTopicRuleDestinationCommand,
    CreateAuditSuppressionCommand,
    CreateAuthorizerCommand,
    CreateBillingGroupCommand,
    CreateCertificateFromCsrCommand,
    CreateCertificateProviderCommand,
    CreateCustomMetricCommand,
    CreateDimensionCommand,
    CreateDomainConfigurationCommand,
    CreateDynamicThingGroupCommand,
    CreateFleetMetricCommand,
    CreateJobCommand,
    CreateJobTemplateCommand,
    CreateKeysAndCertificateCommand,
    CreateMitigationActionCommand,
    CreateOTAUpdateCommand,
    CreatePackageCommand,
    CreatePackageVersionCommand,
    CreatePolicyCommand,
    CreatePolicyVersionCommand,
    CreateProvisioningClaimCommand,
    CreateProvisioningTemplateCommand,
    CreateProvisioningTemplateVersionCommand,
    CreateRoleAliasCommand,
    CreateScheduledAuditCommand,
    CreateSecurityProfileCommand,
    CreateStreamCommand,
    CreateThingCommand,
    CreateThingGroupCommand,
    CreateThingTypeCommand,
    CreateTopicRuleCommand,
    CreateTopicRuleDestinationCommand,
    DeleteAccountAuditConfigurationCommand,
    DeleteAuditSuppressionCommand,
    DeleteAuthorizerCommand,
    DeleteBillingGroupCommand,
    DeleteCACertificateCommand,
    DeleteCertificateCommand,
    DeleteCertificateProviderCommand,
    DeleteCustomMetricCommand,
    DeleteDimensionCommand,
    DeleteDomainConfigurationCommand,
    DeleteDynamicThingGroupCommand,
    DeleteFleetMetricCommand,
    DeleteJobCommand,
    DeleteJobExecutionCommand,
    DeleteJobTemplateCommand,
    DeleteMitigationActionCommand,
    DeleteOTAUpdateCommand,
    DeletePackageCommand,
    DeletePackageVersionCommand,
    DeletePolicyCommand,
    DeletePolicyVersionCommand,
    DeleteProvisioningTemplateCommand,
    DeleteProvisioningTemplateVersionCommand,
    DeleteRegistrationCodeCommand,
    DeleteRoleAliasCommand,
    DeleteScheduledAuditCommand,
    DeleteSecurityProfileCommand,
    DeleteStreamCommand,
    DeleteThingCommand,
    DeleteThingGroupCommand,
    DeleteThingTypeCommand,
    DeleteTopicRuleCommand,
    DeleteTopicRuleDestinationCommand,
    DeleteV2LoggingLevelCommand,
    DeprecateThingTypeCommand,
    DescribeAccountAuditConfigurationCommand,
    DescribeAuditFindingCommand,
    DescribeAuditMitigationActionsTaskCommand,
    DescribeAuditSuppressionCommand,
    DescribeAuditTaskCommand,
    DescribeAuthorizerCommand,
    DescribeBillingGroupCommand,
    DescribeCACertificateCommand,
    DescribeCertificateCommand,
    DescribeCertificateProviderCommand,
    DescribeCustomMetricCommand,
    DescribeDefaultAuthorizerCommand,
    DescribeDetectMitigationActionsTaskCommand,
    DescribeDimensionCommand,
    DescribeDomainConfigurationCommand,
    DescribeEndpointCommand,
    DescribeEventConfigurationsCommand,
    DescribeFleetMetricCommand,
    DescribeIndexCommand,
    DescribeJobCommand,
    DescribeJobExecutionCommand,
    DescribeJobTemplateCommand,
    DescribeManagedJobTemplateCommand,
    DescribeMitigationActionCommand,
    DescribeProvisioningTemplateCommand,
    DescribeProvisioningTemplateVersionCommand,
    DescribeRoleAliasCommand,
    DescribeScheduledAuditCommand,
    DescribeSecurityProfileCommand,
    DescribeStreamCommand,
    DescribeThingCommand,
    DescribeThingGroupCommand,
    DescribeThingRegistrationTaskCommand,
    DescribeThingTypeCommand,
    DetachPolicyCommand,
    DetachPrincipalPolicyCommand,
    DetachSecurityProfileCommand,
    DetachThingPrincipalCommand,
    DisableTopicRuleCommand,
    DisassociateSbomFromPackageVersionCommand,
    EnableTopicRuleCommand,
    GetBehaviorModelTrainingSummariesCommand,
    GetBucketsAggregationCommand,
    GetCardinalityCommand,
    GetEffectivePoliciesCommand,
    GetIndexingConfigurationCommand,
    GetJobDocumentCommand,
    GetLoggingOptionsCommand,
    GetOTAUpdateCommand,
    GetPackageCommand,
    GetPackageConfigurationCommand,
    GetPackageVersionCommand,
    GetPercentilesCommand,
    GetPolicyCommand,
    GetPolicyVersionCommand,
    GetRegistrationCodeCommand,
    GetStatisticsCommand,
    GetTopicRuleCommand,
    GetTopicRuleDestinationCommand,
    GetV2LoggingOptionsCommand,
    ListActiveViolationsCommand,
    ListAttachedPoliciesCommand,
    ListAuditFindingsCommand,
    ListAuditMitigationActionsExecutionsCommand,
    ListAuditMitigationActionsTasksCommand,
    ListAuditSuppressionsCommand,
    ListAuditTasksCommand,
    ListAuthorizersCommand,
    ListBillingGroupsCommand,
    ListCACertificatesCommand,
    ListCertificateProvidersCommand,
    ListCertificatesCommand,
    ListCertificatesByCACommand,
    ListCustomMetricsCommand,
    ListDetectMitigationActionsExecutionsCommand,
    ListDetectMitigationActionsTasksCommand,
    ListDimensionsCommand,
    ListDomainConfigurationsCommand,
    ListFleetMetricsCommand,
    ListIndicesCommand,
    ListJobExecutionsForJobCommand,
    ListJobExecutionsForThingCommand,
    ListJobsCommand,
    ListJobTemplatesCommand,
    ListManagedJobTemplatesCommand,
    ListMetricValuesCommand,
    ListMitigationActionsCommand,
    ListOTAUpdatesCommand,
    ListOutgoingCertificatesCommand,
    ListPackagesCommand,
    ListPackageVersionsCommand,
    ListPoliciesCommand,
    ListPolicyPrincipalsCommand,
    ListPolicyVersionsCommand,
    ListPrincipalPoliciesCommand,
    ListPrincipalThingsCommand,
    ListProvisioningTemplatesCommand,
    ListProvisioningTemplateVersionsCommand,
    ListRelatedResourcesForAuditFindingCommand,
    ListRoleAliasesCommand,
    ListSbomValidationResultsCommand,
    ListScheduledAuditsCommand,
    ListSecurityProfilesCommand,
    ListSecurityProfilesForTargetCommand,
    ListStreamsCommand,
    ListTagsForResourceCommand,
    ListTargetsForPolicyCommand,
    ListTargetsForSecurityProfileCommand,
    ListThingGroupsCommand,
    ListThingGroupsForThingCommand,
    ListThingPrincipalsCommand,
    ListThingRegistrationTaskReportsCommand,
    ListThingRegistrationTasksCommand,
    ListThingsCommand,
    ListThingsInBillingGroupCommand,
    ListThingsInThingGroupCommand,
    ListThingTypesCommand,
    ListTopicRuleDestinationsCommand,
    ListTopicRulesCommand,
    ListV2LoggingLevelsCommand,
    ListViolationEventsCommand,
    PutVerificationStateOnViolationCommand,
    RegisterCACertificateCommand,
    RegisterCertificateCommand,
    RegisterCertificateWithoutCACommand,
    RegisterThingCommand,
    RejectCertificateTransferCommand,
    RemoveThingFromBillingGroupCommand,
    RemoveThingFromThingGroupCommand,
    ReplaceTopicRuleCommand,
    SearchIndexCommand,
    SetDefaultAuthorizerCommand,
    SetDefaultPolicyVersionCommand,
    SetLoggingOptionsCommand,
    SetV2LoggingLevelCommand,
    SetV2LoggingOptionsCommand,
    StartAuditMitigationActionsTaskCommand,
    StartDetectMitigationActionsTaskCommand,
    StartOnDemandAuditTaskCommand,
    StartThingRegistrationTaskCommand,
    StopThingRegistrationTaskCommand,
    TagResourceCommand,
    TestAuthorizationCommand,
    TestInvokeAuthorizerCommand,
    TransferCertificateCommand,
    UntagResourceCommand,
    UpdateAccountAuditConfigurationCommand,
    UpdateAuditSuppressionCommand,
    UpdateAuthorizerCommand,
    UpdateBillingGroupCommand,
    UpdateCACertificateCommand,
    UpdateCertificateCommand,
    UpdateCertificateProviderCommand,
    UpdateCustomMetricCommand,
    UpdateDimensionCommand,
    UpdateDomainConfigurationCommand,
    UpdateDynamicThingGroupCommand,
    UpdateEventConfigurationsCommand,
    UpdateFleetMetricCommand,
    UpdateIndexingConfigurationCommand,
    UpdateJobCommand,
    UpdateMitigationActionCommand,
    UpdatePackageCommand,
    UpdatePackageConfigurationCommand,
    UpdatePackageVersionCommand,
    UpdateProvisioningTemplateCommand,
    UpdateRoleAliasCommand,
    UpdateScheduledAuditCommand,
    UpdateSecurityProfileCommand,
    UpdateStreamCommand,
    UpdateThingCommand,
    UpdateThingGroupCommand,
    UpdateThingGroupsForThingCommand,
    UpdateTopicRuleDestinationCommand,
    ValidateSecurityProfileBehaviorsCommand,
};
export class IoT extends IoTClient {
}
createAggregatedClient(commands, IoT);
