import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { CreateKeysAndCertificateResponseFilterSensitiveLog, } from "../models/models_0";
import { de_CreateKeysAndCertificateCommand, se_CreateKeysAndCertificateCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class CreateKeysAndCertificateCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSIotService", "CreateKeysAndCertificate", {})
    .n("IoTClient", "CreateKeysAndCertificateCommand")
    .f(void 0, CreateKeysAndCertificateResponseFilterSensitiveLog)
    .ser(se_CreateKeysAndCertificateCommand)
    .de(de_CreateKeysAndCertificateCommand)
    .build() {
}
