import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { CreatePackageRequestFilterSensitiveLog, CreatePackageResponseFilterSensitiveLog, } from "../models/models_0";
import { de_CreatePackageCommand, se_CreatePackageCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class CreatePackageCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSIotService", "CreatePackage", {})
    .n("IoTClient", "CreatePackageCommand")
    .f(CreatePackageRequestFilterSensitiveLog, CreatePackageResponseFilterSensitiveLog)
    .ser(se_CreatePackageCommand)
    .de(de_CreatePackageCommand)
    .build() {
}
