import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { CreatePackageVersionRequestFilterSensitiveLog, CreatePackageVersionResponseFilterSensitiveLog, } from "../models/models_0";
import { de_CreatePackageVersionCommand, se_CreatePackageVersionCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class CreatePackageVersionCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSIotService", "CreatePackageVersion", {})
    .n("IoTClient", "CreatePackageVersionCommand")
    .f(CreatePackageVersionRequestFilterSensitiveLog, CreatePackageVersionResponseFilterSensitiveLog)
    .ser(se_CreatePackageVersionCommand)
    .de(de_CreatePackageVersionCommand)
    .build() {
}
