import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { CreateProvisioningClaimResponseFilterSensitiveLog, } from "../models/models_0";
import { de_CreateProvisioningClaimCommand, se_CreateProvisioningClaimCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class CreateProvisioningClaimCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSIotService", "CreateProvisioningClaim", {})
    .n("IoTClient", "CreateProvisioningClaimCommand")
    .f(void 0, CreateProvisioningClaimResponseFilterSensitiveLog)
    .ser(se_CreateProvisioningClaimCommand)
    .de(de_CreateProvisioningClaimCommand)
    .build() {
}
