import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DetachSecurityProfileCommand, se_DetachSecurityProfileCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class DetachSecurityProfileCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSIotService", "DetachSecurityProfile", {})
    .n("IoTClient", "DetachSecurityProfileCommand")
    .f(void 0, void 0)
    .ser(se_DetachSecurityProfileCommand)
    .de(de_DetachSecurityProfileCommand)
    .build() {
}
