import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { GetPackageResponseFilterSensitiveLog } from "../models/models_1";
import { de_GetPackageCommand, se_GetPackageCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetPackageCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSIotService", "GetPackage", {})
    .n("IoTClient", "GetPackageCommand")
    .f(void 0, GetPackageResponseFilterSensitiveLog)
    .ser(se_GetPackageCommand)
    .de(de_GetPackageCommand)
    .build() {
}
