import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { GetPackageVersionResponseFilterSensitiveLog, } from "../models/models_1";
import { de_GetPackageVersionCommand, se_GetPackageVersionCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetPackageVersionCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSIotService", "GetPackageVersion", {})
    .n("IoTClient", "GetPackageVersionCommand")
    .f(void 0, GetPackageVersionResponseFilterSensitiveLog)
    .ser(se_GetPackageVersionCommand)
    .de(de_GetPackageVersionCommand)
    .build() {
}
