import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_GetV2LoggingOptionsCommand, se_GetV2LoggingOptionsCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetV2LoggingOptionsCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSIotService", "GetV2LoggingOptions", {})
    .n("IoTClient", "GetV2LoggingOptionsCommand")
    .f(void 0, void 0)
    .ser(se_GetV2LoggingOptionsCommand)
    .de(de_GetV2LoggingOptionsCommand)
    .build() {
}
