import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_ListV2LoggingLevelsCommand, se_ListV2LoggingLevelsCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class ListV2LoggingLevelsCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSIotService", "ListV2LoggingLevels", {})
    .n("IoTClient", "ListV2LoggingLevelsCommand")
    .f(void 0, void 0)
    .ser(se_ListV2LoggingLevelsCommand)
    .de(de_ListV2LoggingLevelsCommand)
    .build() {
}
