import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_SetV2LoggingLevelCommand, se_SetV2LoggingLevelCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class SetV2LoggingLevelCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSIotService", "SetV2LoggingLevel", {})
    .n("IoTClient", "SetV2LoggingLevelCommand")
    .f(void 0, void 0)
    .ser(se_SetV2LoggingLevelCommand)
    .de(de_SetV2LoggingLevelCommand)
    .build() {
}
