import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_SetV2LoggingOptionsCommand, se_SetV2LoggingOptionsCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class SetV2LoggingOptionsCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSIotService", "SetV2LoggingOptions", {})
    .n("IoTClient", "SetV2LoggingOptionsCommand")
    .f(void 0, void 0)
    .ser(se_SetV2LoggingOptionsCommand)
    .de(de_SetV2LoggingOptionsCommand)
    .build() {
}
