import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { UpdatePackageRequestFilterSensitiveLog, } from "../models/models_2";
import { de_UpdatePackageCommand, se_UpdatePackageCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class UpdatePackageCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSIotService", "UpdatePackage", {})
    .n("IoTClient", "UpdatePackageCommand")
    .f(UpdatePackageRequestFilterSensitiveLog, void 0)
    .ser(se_UpdatePackageCommand)
    .de(de_UpdatePackageCommand)
    .build() {
}
