import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { UpdatePackageVersionRequestFilterSensitiveLog, } from "../models/models_2";
import { de_UpdatePackageVersionCommand, se_UpdatePackageVersionCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class UpdatePackageVersionCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSIotService", "UpdatePackageVersion", {})
    .n("IoTClient", "UpdatePackageVersionCommand")
    .f(UpdatePackageVersionRequestFilterSensitiveLog, void 0)
    .ser(se_UpdatePackageVersionCommand)
    .de(de_UpdatePackageVersionCommand)
    .build() {
}
