import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
} from "@smithy/types";
import { IoTClientResolvedConfig } from "../IoTClient";
export interface IoTHttpAuthSchemeParameters extends HttpAuthSchemeParameters {
  region?: string;
}
export interface IoTHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    IoTClientResolvedConfig,
    HandlerExecutionContext,
    IoTHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultIoTHttpAuthSchemeParametersProvider: (
  config: IoTClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<IoTHttpAuthSchemeParameters>;
export interface IoTHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<IoTHttpAuthSchemeParameters> {}
export declare const defaultIoTHttpAuthSchemeProvider: IoTHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: IoTHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: IoTHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
