import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  AcceptCertificateTransferCommandInput,
  AcceptCertificateTransferCommandOutput,
} from "../commands/AcceptCertificateTransferCommand";
import {
  AddThingToBillingGroupCommandInput,
  AddThingToBillingGroupCommandOutput,
} from "../commands/AddThingToBillingGroupCommand";
import {
  AddThingToThingGroupCommandInput,
  AddThingToThingGroupCommandOutput,
} from "../commands/AddThingToThingGroupCommand";
import {
  AssociateSbomWithPackageVersionCommandInput,
  AssociateSbomWithPackageVersionCommandOutput,
} from "../commands/AssociateSbomWithPackageVersionCommand";
import {
  AssociateTargetsWithJobCommandInput,
  AssociateTargetsWithJobCommandOutput,
} from "../commands/AssociateTargetsWithJobCommand";
import {
  AttachPolicyCommandInput,
  AttachPolicyCommandOutput,
} from "../commands/AttachPolicyCommand";
import {
  AttachPrincipalPolicyCommandInput,
  AttachPrincipalPolicyCommandOutput,
} from "../commands/AttachPrincipalPolicyCommand";
import {
  AttachSecurityProfileCommandInput,
  AttachSecurityProfileCommandOutput,
} from "../commands/AttachSecurityProfileCommand";
import {
  AttachThingPrincipalCommandInput,
  AttachThingPrincipalCommandOutput,
} from "../commands/AttachThingPrincipalCommand";
import {
  CancelAuditMitigationActionsTaskCommandInput,
  CancelAuditMitigationActionsTaskCommandOutput,
} from "../commands/CancelAuditMitigationActionsTaskCommand";
import {
  CancelAuditTaskCommandInput,
  CancelAuditTaskCommandOutput,
} from "../commands/CancelAuditTaskCommand";
import {
  CancelCertificateTransferCommandInput,
  CancelCertificateTransferCommandOutput,
} from "../commands/CancelCertificateTransferCommand";
import {
  CancelDetectMitigationActionsTaskCommandInput,
  CancelDetectMitigationActionsTaskCommandOutput,
} from "../commands/CancelDetectMitigationActionsTaskCommand";
import {
  CancelJobCommandInput,
  CancelJobCommandOutput,
} from "../commands/CancelJobCommand";
import {
  CancelJobExecutionCommandInput,
  CancelJobExecutionCommandOutput,
} from "../commands/CancelJobExecutionCommand";
import {
  ClearDefaultAuthorizerCommandInput,
  ClearDefaultAuthorizerCommandOutput,
} from "../commands/ClearDefaultAuthorizerCommand";
import {
  ConfirmTopicRuleDestinationCommandInput,
  ConfirmTopicRuleDestinationCommandOutput,
} from "../commands/ConfirmTopicRuleDestinationCommand";
import {
  CreateAuditSuppressionCommandInput,
  CreateAuditSuppressionCommandOutput,
} from "../commands/CreateAuditSuppressionCommand";
import {
  CreateAuthorizerCommandInput,
  CreateAuthorizerCommandOutput,
} from "../commands/CreateAuthorizerCommand";
import {
  CreateBillingGroupCommandInput,
  CreateBillingGroupCommandOutput,
} from "../commands/CreateBillingGroupCommand";
import {
  CreateCertificateFromCsrCommandInput,
  CreateCertificateFromCsrCommandOutput,
} from "../commands/CreateCertificateFromCsrCommand";
import {
  CreateCertificateProviderCommandInput,
  CreateCertificateProviderCommandOutput,
} from "../commands/CreateCertificateProviderCommand";
import {
  CreateCustomMetricCommandInput,
  CreateCustomMetricCommandOutput,
} from "../commands/CreateCustomMetricCommand";
import {
  CreateDimensionCommandInput,
  CreateDimensionCommandOutput,
} from "../commands/CreateDimensionCommand";
import {
  CreateDomainConfigurationCommandInput,
  CreateDomainConfigurationCommandOutput,
} from "../commands/CreateDomainConfigurationCommand";
import {
  CreateDynamicThingGroupCommandInput,
  CreateDynamicThingGroupCommandOutput,
} from "../commands/CreateDynamicThingGroupCommand";
import {
  CreateFleetMetricCommandInput,
  CreateFleetMetricCommandOutput,
} from "../commands/CreateFleetMetricCommand";
import {
  CreateJobCommandInput,
  CreateJobCommandOutput,
} from "../commands/CreateJobCommand";
import {
  CreateJobTemplateCommandInput,
  CreateJobTemplateCommandOutput,
} from "../commands/CreateJobTemplateCommand";
import {
  CreateKeysAndCertificateCommandInput,
  CreateKeysAndCertificateCommandOutput,
} from "../commands/CreateKeysAndCertificateCommand";
import {
  CreateMitigationActionCommandInput,
  CreateMitigationActionCommandOutput,
} from "../commands/CreateMitigationActionCommand";
import {
  CreateOTAUpdateCommandInput,
  CreateOTAUpdateCommandOutput,
} from "../commands/CreateOTAUpdateCommand";
import {
  CreatePackageCommandInput,
  CreatePackageCommandOutput,
} from "../commands/CreatePackageCommand";
import {
  CreatePackageVersionCommandInput,
  CreatePackageVersionCommandOutput,
} from "../commands/CreatePackageVersionCommand";
import {
  CreatePolicyCommandInput,
  CreatePolicyCommandOutput,
} from "../commands/CreatePolicyCommand";
import {
  CreatePolicyVersionCommandInput,
  CreatePolicyVersionCommandOutput,
} from "../commands/CreatePolicyVersionCommand";
import {
  CreateProvisioningClaimCommandInput,
  CreateProvisioningClaimCommandOutput,
} from "../commands/CreateProvisioningClaimCommand";
import {
  CreateProvisioningTemplateCommandInput,
  CreateProvisioningTemplateCommandOutput,
} from "../commands/CreateProvisioningTemplateCommand";
import {
  CreateProvisioningTemplateVersionCommandInput,
  CreateProvisioningTemplateVersionCommandOutput,
} from "../commands/CreateProvisioningTemplateVersionCommand";
import {
  CreateRoleAliasCommandInput,
  CreateRoleAliasCommandOutput,
} from "../commands/CreateRoleAliasCommand";
import {
  CreateScheduledAuditCommandInput,
  CreateScheduledAuditCommandOutput,
} from "../commands/CreateScheduledAuditCommand";
import {
  CreateSecurityProfileCommandInput,
  CreateSecurityProfileCommandOutput,
} from "../commands/CreateSecurityProfileCommand";
import {
  CreateStreamCommandInput,
  CreateStreamCommandOutput,
} from "../commands/CreateStreamCommand";
import {
  CreateThingCommandInput,
  CreateThingCommandOutput,
} from "../commands/CreateThingCommand";
import {
  CreateThingGroupCommandInput,
  CreateThingGroupCommandOutput,
} from "../commands/CreateThingGroupCommand";
import {
  CreateThingTypeCommandInput,
  CreateThingTypeCommandOutput,
} from "../commands/CreateThingTypeCommand";
import {
  CreateTopicRuleCommandInput,
  CreateTopicRuleCommandOutput,
} from "../commands/CreateTopicRuleCommand";
import {
  CreateTopicRuleDestinationCommandInput,
  CreateTopicRuleDestinationCommandOutput,
} from "../commands/CreateTopicRuleDestinationCommand";
import {
  DeleteAccountAuditConfigurationCommandInput,
  DeleteAccountAuditConfigurationCommandOutput,
} from "../commands/DeleteAccountAuditConfigurationCommand";
import {
  DeleteAuditSuppressionCommandInput,
  DeleteAuditSuppressionCommandOutput,
} from "../commands/DeleteAuditSuppressionCommand";
import {
  DeleteAuthorizerCommandInput,
  DeleteAuthorizerCommandOutput,
} from "../commands/DeleteAuthorizerCommand";
import {
  DeleteBillingGroupCommandInput,
  DeleteBillingGroupCommandOutput,
} from "../commands/DeleteBillingGroupCommand";
import {
  DeleteCACertificateCommandInput,
  DeleteCACertificateCommandOutput,
} from "../commands/DeleteCACertificateCommand";
import {
  DeleteCertificateCommandInput,
  DeleteCertificateCommandOutput,
} from "../commands/DeleteCertificateCommand";
import {
  DeleteCertificateProviderCommandInput,
  DeleteCertificateProviderCommandOutput,
} from "../commands/DeleteCertificateProviderCommand";
import {
  DeleteCustomMetricCommandInput,
  DeleteCustomMetricCommandOutput,
} from "../commands/DeleteCustomMetricCommand";
import {
  DeleteDimensionCommandInput,
  DeleteDimensionCommandOutput,
} from "../commands/DeleteDimensionCommand";
import {
  DeleteDomainConfigurationCommandInput,
  DeleteDomainConfigurationCommandOutput,
} from "../commands/DeleteDomainConfigurationCommand";
import {
  DeleteDynamicThingGroupCommandInput,
  DeleteDynamicThingGroupCommandOutput,
} from "../commands/DeleteDynamicThingGroupCommand";
import {
  DeleteFleetMetricCommandInput,
  DeleteFleetMetricCommandOutput,
} from "../commands/DeleteFleetMetricCommand";
import {
  DeleteJobCommandInput,
  DeleteJobCommandOutput,
} from "../commands/DeleteJobCommand";
import {
  DeleteJobExecutionCommandInput,
  DeleteJobExecutionCommandOutput,
} from "../commands/DeleteJobExecutionCommand";
import {
  DeleteJobTemplateCommandInput,
  DeleteJobTemplateCommandOutput,
} from "../commands/DeleteJobTemplateCommand";
import {
  DeleteMitigationActionCommandInput,
  DeleteMitigationActionCommandOutput,
} from "../commands/DeleteMitigationActionCommand";
import {
  DeleteOTAUpdateCommandInput,
  DeleteOTAUpdateCommandOutput,
} from "../commands/DeleteOTAUpdateCommand";
import {
  DeletePackageCommandInput,
  DeletePackageCommandOutput,
} from "../commands/DeletePackageCommand";
import {
  DeletePackageVersionCommandInput,
  DeletePackageVersionCommandOutput,
} from "../commands/DeletePackageVersionCommand";
import {
  DeletePolicyCommandInput,
  DeletePolicyCommandOutput,
} from "../commands/DeletePolicyCommand";
import {
  DeletePolicyVersionCommandInput,
  DeletePolicyVersionCommandOutput,
} from "../commands/DeletePolicyVersionCommand";
import {
  DeleteProvisioningTemplateCommandInput,
  DeleteProvisioningTemplateCommandOutput,
} from "../commands/DeleteProvisioningTemplateCommand";
import {
  DeleteProvisioningTemplateVersionCommandInput,
  DeleteProvisioningTemplateVersionCommandOutput,
} from "../commands/DeleteProvisioningTemplateVersionCommand";
import {
  DeleteRegistrationCodeCommandInput,
  DeleteRegistrationCodeCommandOutput,
} from "../commands/DeleteRegistrationCodeCommand";
import {
  DeleteRoleAliasCommandInput,
  DeleteRoleAliasCommandOutput,
} from "../commands/DeleteRoleAliasCommand";
import {
  DeleteScheduledAuditCommandInput,
  DeleteScheduledAuditCommandOutput,
} from "../commands/DeleteScheduledAuditCommand";
import {
  DeleteSecurityProfileCommandInput,
  DeleteSecurityProfileCommandOutput,
} from "../commands/DeleteSecurityProfileCommand";
import {
  DeleteStreamCommandInput,
  DeleteStreamCommandOutput,
} from "../commands/DeleteStreamCommand";
import {
  DeleteThingCommandInput,
  DeleteThingCommandOutput,
} from "../commands/DeleteThingCommand";
import {
  DeleteThingGroupCommandInput,
  DeleteThingGroupCommandOutput,
} from "../commands/DeleteThingGroupCommand";
import {
  DeleteThingTypeCommandInput,
  DeleteThingTypeCommandOutput,
} from "../commands/DeleteThingTypeCommand";
import {
  DeleteTopicRuleCommandInput,
  DeleteTopicRuleCommandOutput,
} from "../commands/DeleteTopicRuleCommand";
import {
  DeleteTopicRuleDestinationCommandInput,
  DeleteTopicRuleDestinationCommandOutput,
} from "../commands/DeleteTopicRuleDestinationCommand";
import {
  DeleteV2LoggingLevelCommandInput,
  DeleteV2LoggingLevelCommandOutput,
} from "../commands/DeleteV2LoggingLevelCommand";
import {
  DeprecateThingTypeCommandInput,
  DeprecateThingTypeCommandOutput,
} from "../commands/DeprecateThingTypeCommand";
import {
  DescribeAccountAuditConfigurationCommandInput,
  DescribeAccountAuditConfigurationCommandOutput,
} from "../commands/DescribeAccountAuditConfigurationCommand";
import {
  DescribeAuditFindingCommandInput,
  DescribeAuditFindingCommandOutput,
} from "../commands/DescribeAuditFindingCommand";
import {
  DescribeAuditMitigationActionsTaskCommandInput,
  DescribeAuditMitigationActionsTaskCommandOutput,
} from "../commands/DescribeAuditMitigationActionsTaskCommand";
import {
  DescribeAuditSuppressionCommandInput,
  DescribeAuditSuppressionCommandOutput,
} from "../commands/DescribeAuditSuppressionCommand";
import {
  DescribeAuditTaskCommandInput,
  DescribeAuditTaskCommandOutput,
} from "../commands/DescribeAuditTaskCommand";
import {
  DescribeAuthorizerCommandInput,
  DescribeAuthorizerCommandOutput,
} from "../commands/DescribeAuthorizerCommand";
import {
  DescribeBillingGroupCommandInput,
  DescribeBillingGroupCommandOutput,
} from "../commands/DescribeBillingGroupCommand";
import {
  DescribeCACertificateCommandInput,
  DescribeCACertificateCommandOutput,
} from "../commands/DescribeCACertificateCommand";
import {
  DescribeCertificateCommandInput,
  DescribeCertificateCommandOutput,
} from "../commands/DescribeCertificateCommand";
import {
  DescribeCertificateProviderCommandInput,
  DescribeCertificateProviderCommandOutput,
} from "../commands/DescribeCertificateProviderCommand";
import {
  DescribeCustomMetricCommandInput,
  DescribeCustomMetricCommandOutput,
} from "../commands/DescribeCustomMetricCommand";
import {
  DescribeDefaultAuthorizerCommandInput,
  DescribeDefaultAuthorizerCommandOutput,
} from "../commands/DescribeDefaultAuthorizerCommand";
import {
  DescribeDetectMitigationActionsTaskCommandInput,
  DescribeDetectMitigationActionsTaskCommandOutput,
} from "../commands/DescribeDetectMitigationActionsTaskCommand";
import {
  DescribeDimensionCommandInput,
  DescribeDimensionCommandOutput,
} from "../commands/DescribeDimensionCommand";
import {
  DescribeDomainConfigurationCommandInput,
  DescribeDomainConfigurationCommandOutput,
} from "../commands/DescribeDomainConfigurationCommand";
import {
  DescribeEndpointCommandInput,
  DescribeEndpointCommandOutput,
} from "../commands/DescribeEndpointCommand";
import {
  DescribeEventConfigurationsCommandInput,
  DescribeEventConfigurationsCommandOutput,
} from "../commands/DescribeEventConfigurationsCommand";
import {
  DescribeFleetMetricCommandInput,
  DescribeFleetMetricCommandOutput,
} from "../commands/DescribeFleetMetricCommand";
import {
  DescribeIndexCommandInput,
  DescribeIndexCommandOutput,
} from "../commands/DescribeIndexCommand";
import {
  DescribeJobCommandInput,
  DescribeJobCommandOutput,
} from "../commands/DescribeJobCommand";
import {
  DescribeJobExecutionCommandInput,
  DescribeJobExecutionCommandOutput,
} from "../commands/DescribeJobExecutionCommand";
import {
  DescribeJobTemplateCommandInput,
  DescribeJobTemplateCommandOutput,
} from "../commands/DescribeJobTemplateCommand";
import {
  DescribeManagedJobTemplateCommandInput,
  DescribeManagedJobTemplateCommandOutput,
} from "../commands/DescribeManagedJobTemplateCommand";
import {
  DescribeMitigationActionCommandInput,
  DescribeMitigationActionCommandOutput,
} from "../commands/DescribeMitigationActionCommand";
import {
  DescribeProvisioningTemplateCommandInput,
  DescribeProvisioningTemplateCommandOutput,
} from "../commands/DescribeProvisioningTemplateCommand";
import {
  DescribeProvisioningTemplateVersionCommandInput,
  DescribeProvisioningTemplateVersionCommandOutput,
} from "../commands/DescribeProvisioningTemplateVersionCommand";
import {
  DescribeRoleAliasCommandInput,
  DescribeRoleAliasCommandOutput,
} from "../commands/DescribeRoleAliasCommand";
import {
  DescribeScheduledAuditCommandInput,
  DescribeScheduledAuditCommandOutput,
} from "../commands/DescribeScheduledAuditCommand";
import {
  DescribeSecurityProfileCommandInput,
  DescribeSecurityProfileCommandOutput,
} from "../commands/DescribeSecurityProfileCommand";
import {
  DescribeStreamCommandInput,
  DescribeStreamCommandOutput,
} from "../commands/DescribeStreamCommand";
import {
  DescribeThingCommandInput,
  DescribeThingCommandOutput,
} from "../commands/DescribeThingCommand";
import {
  DescribeThingGroupCommandInput,
  DescribeThingGroupCommandOutput,
} from "../commands/DescribeThingGroupCommand";
import {
  DescribeThingRegistrationTaskCommandInput,
  DescribeThingRegistrationTaskCommandOutput,
} from "../commands/DescribeThingRegistrationTaskCommand";
import {
  DescribeThingTypeCommandInput,
  DescribeThingTypeCommandOutput,
} from "../commands/DescribeThingTypeCommand";
import {
  DetachPolicyCommandInput,
  DetachPolicyCommandOutput,
} from "../commands/DetachPolicyCommand";
import {
  DetachPrincipalPolicyCommandInput,
  DetachPrincipalPolicyCommandOutput,
} from "../commands/DetachPrincipalPolicyCommand";
import {
  DetachSecurityProfileCommandInput,
  DetachSecurityProfileCommandOutput,
} from "../commands/DetachSecurityProfileCommand";
import {
  DetachThingPrincipalCommandInput,
  DetachThingPrincipalCommandOutput,
} from "../commands/DetachThingPrincipalCommand";
import {
  DisableTopicRuleCommandInput,
  DisableTopicRuleCommandOutput,
} from "../commands/DisableTopicRuleCommand";
import {
  DisassociateSbomFromPackageVersionCommandInput,
  DisassociateSbomFromPackageVersionCommandOutput,
} from "../commands/DisassociateSbomFromPackageVersionCommand";
import {
  EnableTopicRuleCommandInput,
  EnableTopicRuleCommandOutput,
} from "../commands/EnableTopicRuleCommand";
import {
  GetBehaviorModelTrainingSummariesCommandInput,
  GetBehaviorModelTrainingSummariesCommandOutput,
} from "../commands/GetBehaviorModelTrainingSummariesCommand";
import {
  GetBucketsAggregationCommandInput,
  GetBucketsAggregationCommandOutput,
} from "../commands/GetBucketsAggregationCommand";
import {
  GetCardinalityCommandInput,
  GetCardinalityCommandOutput,
} from "../commands/GetCardinalityCommand";
import {
  GetEffectivePoliciesCommandInput,
  GetEffectivePoliciesCommandOutput,
} from "../commands/GetEffectivePoliciesCommand";
import {
  GetIndexingConfigurationCommandInput,
  GetIndexingConfigurationCommandOutput,
} from "../commands/GetIndexingConfigurationCommand";
import {
  GetJobDocumentCommandInput,
  GetJobDocumentCommandOutput,
} from "../commands/GetJobDocumentCommand";
import {
  GetLoggingOptionsCommandInput,
  GetLoggingOptionsCommandOutput,
} from "../commands/GetLoggingOptionsCommand";
import {
  GetOTAUpdateCommandInput,
  GetOTAUpdateCommandOutput,
} from "../commands/GetOTAUpdateCommand";
import {
  GetPackageCommandInput,
  GetPackageCommandOutput,
} from "../commands/GetPackageCommand";
import {
  GetPackageConfigurationCommandInput,
  GetPackageConfigurationCommandOutput,
} from "../commands/GetPackageConfigurationCommand";
import {
  GetPackageVersionCommandInput,
  GetPackageVersionCommandOutput,
} from "../commands/GetPackageVersionCommand";
import {
  GetPercentilesCommandInput,
  GetPercentilesCommandOutput,
} from "../commands/GetPercentilesCommand";
import {
  GetPolicyCommandInput,
  GetPolicyCommandOutput,
} from "../commands/GetPolicyCommand";
import {
  GetPolicyVersionCommandInput,
  GetPolicyVersionCommandOutput,
} from "../commands/GetPolicyVersionCommand";
import {
  GetRegistrationCodeCommandInput,
  GetRegistrationCodeCommandOutput,
} from "../commands/GetRegistrationCodeCommand";
import {
  GetStatisticsCommandInput,
  GetStatisticsCommandOutput,
} from "../commands/GetStatisticsCommand";
import {
  GetTopicRuleCommandInput,
  GetTopicRuleCommandOutput,
} from "../commands/GetTopicRuleCommand";
import {
  GetTopicRuleDestinationCommandInput,
  GetTopicRuleDestinationCommandOutput,
} from "../commands/GetTopicRuleDestinationCommand";
import {
  GetV2LoggingOptionsCommandInput,
  GetV2LoggingOptionsCommandOutput,
} from "../commands/GetV2LoggingOptionsCommand";
import {
  ListActiveViolationsCommandInput,
  ListActiveViolationsCommandOutput,
} from "../commands/ListActiveViolationsCommand";
import {
  ListAttachedPoliciesCommandInput,
  ListAttachedPoliciesCommandOutput,
} from "../commands/ListAttachedPoliciesCommand";
import {
  ListAuditFindingsCommandInput,
  ListAuditFindingsCommandOutput,
} from "../commands/ListAuditFindingsCommand";
import {
  ListAuditMitigationActionsExecutionsCommandInput,
  ListAuditMitigationActionsExecutionsCommandOutput,
} from "../commands/ListAuditMitigationActionsExecutionsCommand";
import {
  ListAuditMitigationActionsTasksCommandInput,
  ListAuditMitigationActionsTasksCommandOutput,
} from "../commands/ListAuditMitigationActionsTasksCommand";
import {
  ListAuditSuppressionsCommandInput,
  ListAuditSuppressionsCommandOutput,
} from "../commands/ListAuditSuppressionsCommand";
import {
  ListAuditTasksCommandInput,
  ListAuditTasksCommandOutput,
} from "../commands/ListAuditTasksCommand";
import {
  ListAuthorizersCommandInput,
  ListAuthorizersCommandOutput,
} from "../commands/ListAuthorizersCommand";
import {
  ListBillingGroupsCommandInput,
  ListBillingGroupsCommandOutput,
} from "../commands/ListBillingGroupsCommand";
import {
  ListCACertificatesCommandInput,
  ListCACertificatesCommandOutput,
} from "../commands/ListCACertificatesCommand";
import {
  ListCertificateProvidersCommandInput,
  ListCertificateProvidersCommandOutput,
} from "../commands/ListCertificateProvidersCommand";
import {
  ListCertificatesByCACommandInput,
  ListCertificatesByCACommandOutput,
} from "../commands/ListCertificatesByCACommand";
import {
  ListCertificatesCommandInput,
  ListCertificatesCommandOutput,
} from "../commands/ListCertificatesCommand";
import {
  ListCustomMetricsCommandInput,
  ListCustomMetricsCommandOutput,
} from "../commands/ListCustomMetricsCommand";
import {
  ListDetectMitigationActionsExecutionsCommandInput,
  ListDetectMitigationActionsExecutionsCommandOutput,
} from "../commands/ListDetectMitigationActionsExecutionsCommand";
import {
  ListDetectMitigationActionsTasksCommandInput,
  ListDetectMitigationActionsTasksCommandOutput,
} from "../commands/ListDetectMitigationActionsTasksCommand";
import {
  ListDimensionsCommandInput,
  ListDimensionsCommandOutput,
} from "../commands/ListDimensionsCommand";
import {
  ListDomainConfigurationsCommandInput,
  ListDomainConfigurationsCommandOutput,
} from "../commands/ListDomainConfigurationsCommand";
import {
  ListFleetMetricsCommandInput,
  ListFleetMetricsCommandOutput,
} from "../commands/ListFleetMetricsCommand";
import {
  ListIndicesCommandInput,
  ListIndicesCommandOutput,
} from "../commands/ListIndicesCommand";
import {
  ListJobExecutionsForJobCommandInput,
  ListJobExecutionsForJobCommandOutput,
} from "../commands/ListJobExecutionsForJobCommand";
import {
  ListJobExecutionsForThingCommandInput,
  ListJobExecutionsForThingCommandOutput,
} from "../commands/ListJobExecutionsForThingCommand";
import {
  ListJobsCommandInput,
  ListJobsCommandOutput,
} from "../commands/ListJobsCommand";
import {
  ListJobTemplatesCommandInput,
  ListJobTemplatesCommandOutput,
} from "../commands/ListJobTemplatesCommand";
import {
  ListManagedJobTemplatesCommandInput,
  ListManagedJobTemplatesCommandOutput,
} from "../commands/ListManagedJobTemplatesCommand";
import {
  ListMetricValuesCommandInput,
  ListMetricValuesCommandOutput,
} from "../commands/ListMetricValuesCommand";
import {
  ListMitigationActionsCommandInput,
  ListMitigationActionsCommandOutput,
} from "../commands/ListMitigationActionsCommand";
import {
  ListOTAUpdatesCommandInput,
  ListOTAUpdatesCommandOutput,
} from "../commands/ListOTAUpdatesCommand";
import {
  ListOutgoingCertificatesCommandInput,
  ListOutgoingCertificatesCommandOutput,
} from "../commands/ListOutgoingCertificatesCommand";
import {
  ListPackagesCommandInput,
  ListPackagesCommandOutput,
} from "../commands/ListPackagesCommand";
import {
  ListPackageVersionsCommandInput,
  ListPackageVersionsCommandOutput,
} from "../commands/ListPackageVersionsCommand";
import {
  ListPoliciesCommandInput,
  ListPoliciesCommandOutput,
} from "../commands/ListPoliciesCommand";
import {
  ListPolicyPrincipalsCommandInput,
  ListPolicyPrincipalsCommandOutput,
} from "../commands/ListPolicyPrincipalsCommand";
import {
  ListPolicyVersionsCommandInput,
  ListPolicyVersionsCommandOutput,
} from "../commands/ListPolicyVersionsCommand";
import {
  ListPrincipalPoliciesCommandInput,
  ListPrincipalPoliciesCommandOutput,
} from "../commands/ListPrincipalPoliciesCommand";
import {
  ListPrincipalThingsCommandInput,
  ListPrincipalThingsCommandOutput,
} from "../commands/ListPrincipalThingsCommand";
import {
  ListProvisioningTemplatesCommandInput,
  ListProvisioningTemplatesCommandOutput,
} from "../commands/ListProvisioningTemplatesCommand";
import {
  ListProvisioningTemplateVersionsCommandInput,
  ListProvisioningTemplateVersionsCommandOutput,
} from "../commands/ListProvisioningTemplateVersionsCommand";
import {
  ListRelatedResourcesForAuditFindingCommandInput,
  ListRelatedResourcesForAuditFindingCommandOutput,
} from "../commands/ListRelatedResourcesForAuditFindingCommand";
import {
  ListRoleAliasesCommandInput,
  ListRoleAliasesCommandOutput,
} from "../commands/ListRoleAliasesCommand";
import {
  ListSbomValidationResultsCommandInput,
  ListSbomValidationResultsCommandOutput,
} from "../commands/ListSbomValidationResultsCommand";
import {
  ListScheduledAuditsCommandInput,
  ListScheduledAuditsCommandOutput,
} from "../commands/ListScheduledAuditsCommand";
import {
  ListSecurityProfilesCommandInput,
  ListSecurityProfilesCommandOutput,
} from "../commands/ListSecurityProfilesCommand";
import {
  ListSecurityProfilesForTargetCommandInput,
  ListSecurityProfilesForTargetCommandOutput,
} from "../commands/ListSecurityProfilesForTargetCommand";
import {
  ListStreamsCommandInput,
  ListStreamsCommandOutput,
} from "../commands/ListStreamsCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  ListTargetsForPolicyCommandInput,
  ListTargetsForPolicyCommandOutput,
} from "../commands/ListTargetsForPolicyCommand";
import {
  ListTargetsForSecurityProfileCommandInput,
  ListTargetsForSecurityProfileCommandOutput,
} from "../commands/ListTargetsForSecurityProfileCommand";
import {
  ListThingGroupsCommandInput,
  ListThingGroupsCommandOutput,
} from "../commands/ListThingGroupsCommand";
import {
  ListThingGroupsForThingCommandInput,
  ListThingGroupsForThingCommandOutput,
} from "../commands/ListThingGroupsForThingCommand";
import {
  ListThingPrincipalsCommandInput,
  ListThingPrincipalsCommandOutput,
} from "../commands/ListThingPrincipalsCommand";
import {
  ListThingRegistrationTaskReportsCommandInput,
  ListThingRegistrationTaskReportsCommandOutput,
} from "../commands/ListThingRegistrationTaskReportsCommand";
import {
  ListThingRegistrationTasksCommandInput,
  ListThingRegistrationTasksCommandOutput,
} from "../commands/ListThingRegistrationTasksCommand";
import {
  ListThingsCommandInput,
  ListThingsCommandOutput,
} from "../commands/ListThingsCommand";
import {
  ListThingsInBillingGroupCommandInput,
  ListThingsInBillingGroupCommandOutput,
} from "../commands/ListThingsInBillingGroupCommand";
import {
  ListThingsInThingGroupCommandInput,
  ListThingsInThingGroupCommandOutput,
} from "../commands/ListThingsInThingGroupCommand";
import {
  ListThingTypesCommandInput,
  ListThingTypesCommandOutput,
} from "../commands/ListThingTypesCommand";
import {
  ListTopicRuleDestinationsCommandInput,
  ListTopicRuleDestinationsCommandOutput,
} from "../commands/ListTopicRuleDestinationsCommand";
import {
  ListTopicRulesCommandInput,
  ListTopicRulesCommandOutput,
} from "../commands/ListTopicRulesCommand";
import {
  ListV2LoggingLevelsCommandInput,
  ListV2LoggingLevelsCommandOutput,
} from "../commands/ListV2LoggingLevelsCommand";
import {
  ListViolationEventsCommandInput,
  ListViolationEventsCommandOutput,
} from "../commands/ListViolationEventsCommand";
import {
  PutVerificationStateOnViolationCommandInput,
  PutVerificationStateOnViolationCommandOutput,
} from "../commands/PutVerificationStateOnViolationCommand";
import {
  RegisterCACertificateCommandInput,
  RegisterCACertificateCommandOutput,
} from "../commands/RegisterCACertificateCommand";
import {
  RegisterCertificateCommandInput,
  RegisterCertificateCommandOutput,
} from "../commands/RegisterCertificateCommand";
import {
  RegisterCertificateWithoutCACommandInput,
  RegisterCertificateWithoutCACommandOutput,
} from "../commands/RegisterCertificateWithoutCACommand";
import {
  RegisterThingCommandInput,
  RegisterThingCommandOutput,
} from "../commands/RegisterThingCommand";
import {
  RejectCertificateTransferCommandInput,
  RejectCertificateTransferCommandOutput,
} from "../commands/RejectCertificateTransferCommand";
import {
  RemoveThingFromBillingGroupCommandInput,
  RemoveThingFromBillingGroupCommandOutput,
} from "../commands/RemoveThingFromBillingGroupCommand";
import {
  RemoveThingFromThingGroupCommandInput,
  RemoveThingFromThingGroupCommandOutput,
} from "../commands/RemoveThingFromThingGroupCommand";
import {
  ReplaceTopicRuleCommandInput,
  ReplaceTopicRuleCommandOutput,
} from "../commands/ReplaceTopicRuleCommand";
import {
  SearchIndexCommandInput,
  SearchIndexCommandOutput,
} from "../commands/SearchIndexCommand";
import {
  SetDefaultAuthorizerCommandInput,
  SetDefaultAuthorizerCommandOutput,
} from "../commands/SetDefaultAuthorizerCommand";
import {
  SetDefaultPolicyVersionCommandInput,
  SetDefaultPolicyVersionCommandOutput,
} from "../commands/SetDefaultPolicyVersionCommand";
import {
  SetLoggingOptionsCommandInput,
  SetLoggingOptionsCommandOutput,
} from "../commands/SetLoggingOptionsCommand";
import {
  SetV2LoggingLevelCommandInput,
  SetV2LoggingLevelCommandOutput,
} from "../commands/SetV2LoggingLevelCommand";
import {
  SetV2LoggingOptionsCommandInput,
  SetV2LoggingOptionsCommandOutput,
} from "../commands/SetV2LoggingOptionsCommand";
import {
  StartAuditMitigationActionsTaskCommandInput,
  StartAuditMitigationActionsTaskCommandOutput,
} from "../commands/StartAuditMitigationActionsTaskCommand";
import {
  StartDetectMitigationActionsTaskCommandInput,
  StartDetectMitigationActionsTaskCommandOutput,
} from "../commands/StartDetectMitigationActionsTaskCommand";
import {
  StartOnDemandAuditTaskCommandInput,
  StartOnDemandAuditTaskCommandOutput,
} from "../commands/StartOnDemandAuditTaskCommand";
import {
  StartThingRegistrationTaskCommandInput,
  StartThingRegistrationTaskCommandOutput,
} from "../commands/StartThingRegistrationTaskCommand";
import {
  StopThingRegistrationTaskCommandInput,
  StopThingRegistrationTaskCommandOutput,
} from "../commands/StopThingRegistrationTaskCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  TestAuthorizationCommandInput,
  TestAuthorizationCommandOutput,
} from "../commands/TestAuthorizationCommand";
import {
  TestInvokeAuthorizerCommandInput,
  TestInvokeAuthorizerCommandOutput,
} from "../commands/TestInvokeAuthorizerCommand";
import {
  TransferCertificateCommandInput,
  TransferCertificateCommandOutput,
} from "../commands/TransferCertificateCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateAccountAuditConfigurationCommandInput,
  UpdateAccountAuditConfigurationCommandOutput,
} from "../commands/UpdateAccountAuditConfigurationCommand";
import {
  UpdateAuditSuppressionCommandInput,
  UpdateAuditSuppressionCommandOutput,
} from "../commands/UpdateAuditSuppressionCommand";
import {
  UpdateAuthorizerCommandInput,
  UpdateAuthorizerCommandOutput,
} from "../commands/UpdateAuthorizerCommand";
import {
  UpdateBillingGroupCommandInput,
  UpdateBillingGroupCommandOutput,
} from "../commands/UpdateBillingGroupCommand";
import {
  UpdateCACertificateCommandInput,
  UpdateCACertificateCommandOutput,
} from "../commands/UpdateCACertificateCommand";
import {
  UpdateCertificateCommandInput,
  UpdateCertificateCommandOutput,
} from "../commands/UpdateCertificateCommand";
import {
  UpdateCertificateProviderCommandInput,
  UpdateCertificateProviderCommandOutput,
} from "../commands/UpdateCertificateProviderCommand";
import {
  UpdateCustomMetricCommandInput,
  UpdateCustomMetricCommandOutput,
} from "../commands/UpdateCustomMetricCommand";
import {
  UpdateDimensionCommandInput,
  UpdateDimensionCommandOutput,
} from "../commands/UpdateDimensionCommand";
import {
  UpdateDomainConfigurationCommandInput,
  UpdateDomainConfigurationCommandOutput,
} from "../commands/UpdateDomainConfigurationCommand";
import {
  UpdateDynamicThingGroupCommandInput,
  UpdateDynamicThingGroupCommandOutput,
} from "../commands/UpdateDynamicThingGroupCommand";
import {
  UpdateEventConfigurationsCommandInput,
  UpdateEventConfigurationsCommandOutput,
} from "../commands/UpdateEventConfigurationsCommand";
import {
  UpdateFleetMetricCommandInput,
  UpdateFleetMetricCommandOutput,
} from "../commands/UpdateFleetMetricCommand";
import {
  UpdateIndexingConfigurationCommandInput,
  UpdateIndexingConfigurationCommandOutput,
} from "../commands/UpdateIndexingConfigurationCommand";
import {
  UpdateJobCommandInput,
  UpdateJobCommandOutput,
} from "../commands/UpdateJobCommand";
import {
  UpdateMitigationActionCommandInput,
  UpdateMitigationActionCommandOutput,
} from "../commands/UpdateMitigationActionCommand";
import {
  UpdatePackageCommandInput,
  UpdatePackageCommandOutput,
} from "../commands/UpdatePackageCommand";
import {
  UpdatePackageConfigurationCommandInput,
  UpdatePackageConfigurationCommandOutput,
} from "../commands/UpdatePackageConfigurationCommand";
import {
  UpdatePackageVersionCommandInput,
  UpdatePackageVersionCommandOutput,
} from "../commands/UpdatePackageVersionCommand";
import {
  UpdateProvisioningTemplateCommandInput,
  UpdateProvisioningTemplateCommandOutput,
} from "../commands/UpdateProvisioningTemplateCommand";
import {
  UpdateRoleAliasCommandInput,
  UpdateRoleAliasCommandOutput,
} from "../commands/UpdateRoleAliasCommand";
import {
  UpdateScheduledAuditCommandInput,
  UpdateScheduledAuditCommandOutput,
} from "../commands/UpdateScheduledAuditCommand";
import {
  UpdateSecurityProfileCommandInput,
  UpdateSecurityProfileCommandOutput,
} from "../commands/UpdateSecurityProfileCommand";
import {
  UpdateStreamCommandInput,
  UpdateStreamCommandOutput,
} from "../commands/UpdateStreamCommand";
import {
  UpdateThingCommandInput,
  UpdateThingCommandOutput,
} from "../commands/UpdateThingCommand";
import {
  UpdateThingGroupCommandInput,
  UpdateThingGroupCommandOutput,
} from "../commands/UpdateThingGroupCommand";
import {
  UpdateThingGroupsForThingCommandInput,
  UpdateThingGroupsForThingCommandOutput,
} from "../commands/UpdateThingGroupsForThingCommand";
import {
  UpdateTopicRuleDestinationCommandInput,
  UpdateTopicRuleDestinationCommandOutput,
} from "../commands/UpdateTopicRuleDestinationCommand";
import {
  ValidateSecurityProfileBehaviorsCommandInput,
  ValidateSecurityProfileBehaviorsCommandOutput,
} from "../commands/ValidateSecurityProfileBehaviorsCommand";
export declare const se_AcceptCertificateTransferCommand: (
  input: AcceptCertificateTransferCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AddThingToBillingGroupCommand: (
  input: AddThingToBillingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AddThingToThingGroupCommand: (
  input: AddThingToThingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateSbomWithPackageVersionCommand: (
  input: AssociateSbomWithPackageVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateTargetsWithJobCommand: (
  input: AssociateTargetsWithJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AttachPolicyCommand: (
  input: AttachPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AttachPrincipalPolicyCommand: (
  input: AttachPrincipalPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AttachSecurityProfileCommand: (
  input: AttachSecurityProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AttachThingPrincipalCommand: (
  input: AttachThingPrincipalCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CancelAuditMitigationActionsTaskCommand: (
  input: CancelAuditMitigationActionsTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CancelAuditTaskCommand: (
  input: CancelAuditTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CancelCertificateTransferCommand: (
  input: CancelCertificateTransferCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CancelDetectMitigationActionsTaskCommand: (
  input: CancelDetectMitigationActionsTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CancelJobCommand: (
  input: CancelJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CancelJobExecutionCommand: (
  input: CancelJobExecutionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ClearDefaultAuthorizerCommand: (
  input: ClearDefaultAuthorizerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ConfirmTopicRuleDestinationCommand: (
  input: ConfirmTopicRuleDestinationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateAuditSuppressionCommand: (
  input: CreateAuditSuppressionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateAuthorizerCommand: (
  input: CreateAuthorizerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateBillingGroupCommand: (
  input: CreateBillingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateCertificateFromCsrCommand: (
  input: CreateCertificateFromCsrCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateCertificateProviderCommand: (
  input: CreateCertificateProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateCustomMetricCommand: (
  input: CreateCustomMetricCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateDimensionCommand: (
  input: CreateDimensionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateDomainConfigurationCommand: (
  input: CreateDomainConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateDynamicThingGroupCommand: (
  input: CreateDynamicThingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateFleetMetricCommand: (
  input: CreateFleetMetricCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateJobCommand: (
  input: CreateJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateJobTemplateCommand: (
  input: CreateJobTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateKeysAndCertificateCommand: (
  input: CreateKeysAndCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateMitigationActionCommand: (
  input: CreateMitigationActionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateOTAUpdateCommand: (
  input: CreateOTAUpdateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreatePackageCommand: (
  input: CreatePackageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreatePackageVersionCommand: (
  input: CreatePackageVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreatePolicyCommand: (
  input: CreatePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreatePolicyVersionCommand: (
  input: CreatePolicyVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateProvisioningClaimCommand: (
  input: CreateProvisioningClaimCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateProvisioningTemplateCommand: (
  input: CreateProvisioningTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateProvisioningTemplateVersionCommand: (
  input: CreateProvisioningTemplateVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateRoleAliasCommand: (
  input: CreateRoleAliasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateScheduledAuditCommand: (
  input: CreateScheduledAuditCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateSecurityProfileCommand: (
  input: CreateSecurityProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateStreamCommand: (
  input: CreateStreamCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateThingCommand: (
  input: CreateThingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateThingGroupCommand: (
  input: CreateThingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateThingTypeCommand: (
  input: CreateThingTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateTopicRuleCommand: (
  input: CreateTopicRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateTopicRuleDestinationCommand: (
  input: CreateTopicRuleDestinationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAccountAuditConfigurationCommand: (
  input: DeleteAccountAuditConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAuditSuppressionCommand: (
  input: DeleteAuditSuppressionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAuthorizerCommand: (
  input: DeleteAuthorizerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteBillingGroupCommand: (
  input: DeleteBillingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteCACertificateCommand: (
  input: DeleteCACertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteCertificateCommand: (
  input: DeleteCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteCertificateProviderCommand: (
  input: DeleteCertificateProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteCustomMetricCommand: (
  input: DeleteCustomMetricCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteDimensionCommand: (
  input: DeleteDimensionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteDomainConfigurationCommand: (
  input: DeleteDomainConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteDynamicThingGroupCommand: (
  input: DeleteDynamicThingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteFleetMetricCommand: (
  input: DeleteFleetMetricCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteJobCommand: (
  input: DeleteJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteJobExecutionCommand: (
  input: DeleteJobExecutionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteJobTemplateCommand: (
  input: DeleteJobTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteMitigationActionCommand: (
  input: DeleteMitigationActionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteOTAUpdateCommand: (
  input: DeleteOTAUpdateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePackageCommand: (
  input: DeletePackageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePackageVersionCommand: (
  input: DeletePackageVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePolicyCommand: (
  input: DeletePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePolicyVersionCommand: (
  input: DeletePolicyVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteProvisioningTemplateCommand: (
  input: DeleteProvisioningTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteProvisioningTemplateVersionCommand: (
  input: DeleteProvisioningTemplateVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteRegistrationCodeCommand: (
  input: DeleteRegistrationCodeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteRoleAliasCommand: (
  input: DeleteRoleAliasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteScheduledAuditCommand: (
  input: DeleteScheduledAuditCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteSecurityProfileCommand: (
  input: DeleteSecurityProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteStreamCommand: (
  input: DeleteStreamCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteThingCommand: (
  input: DeleteThingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteThingGroupCommand: (
  input: DeleteThingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteThingTypeCommand: (
  input: DeleteThingTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteTopicRuleCommand: (
  input: DeleteTopicRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteTopicRuleDestinationCommand: (
  input: DeleteTopicRuleDestinationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteV2LoggingLevelCommand: (
  input: DeleteV2LoggingLevelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeprecateThingTypeCommand: (
  input: DeprecateThingTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAccountAuditConfigurationCommand: (
  input: DescribeAccountAuditConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAuditFindingCommand: (
  input: DescribeAuditFindingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAuditMitigationActionsTaskCommand: (
  input: DescribeAuditMitigationActionsTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAuditSuppressionCommand: (
  input: DescribeAuditSuppressionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAuditTaskCommand: (
  input: DescribeAuditTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAuthorizerCommand: (
  input: DescribeAuthorizerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeBillingGroupCommand: (
  input: DescribeBillingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeCACertificateCommand: (
  input: DescribeCACertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeCertificateCommand: (
  input: DescribeCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeCertificateProviderCommand: (
  input: DescribeCertificateProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeCustomMetricCommand: (
  input: DescribeCustomMetricCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDefaultAuthorizerCommand: (
  input: DescribeDefaultAuthorizerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDetectMitigationActionsTaskCommand: (
  input: DescribeDetectMitigationActionsTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDimensionCommand: (
  input: DescribeDimensionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDomainConfigurationCommand: (
  input: DescribeDomainConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeEndpointCommand: (
  input: DescribeEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeEventConfigurationsCommand: (
  input: DescribeEventConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeFleetMetricCommand: (
  input: DescribeFleetMetricCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeIndexCommand: (
  input: DescribeIndexCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeJobCommand: (
  input: DescribeJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeJobExecutionCommand: (
  input: DescribeJobExecutionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeJobTemplateCommand: (
  input: DescribeJobTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeManagedJobTemplateCommand: (
  input: DescribeManagedJobTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeMitigationActionCommand: (
  input: DescribeMitigationActionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeProvisioningTemplateCommand: (
  input: DescribeProvisioningTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeProvisioningTemplateVersionCommand: (
  input: DescribeProvisioningTemplateVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeRoleAliasCommand: (
  input: DescribeRoleAliasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeScheduledAuditCommand: (
  input: DescribeScheduledAuditCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeSecurityProfileCommand: (
  input: DescribeSecurityProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeStreamCommand: (
  input: DescribeStreamCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeThingCommand: (
  input: DescribeThingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeThingGroupCommand: (
  input: DescribeThingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeThingRegistrationTaskCommand: (
  input: DescribeThingRegistrationTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeThingTypeCommand: (
  input: DescribeThingTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DetachPolicyCommand: (
  input: DetachPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DetachPrincipalPolicyCommand: (
  input: DetachPrincipalPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DetachSecurityProfileCommand: (
  input: DetachSecurityProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DetachThingPrincipalCommand: (
  input: DetachThingPrincipalCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisableTopicRuleCommand: (
  input: DisableTopicRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateSbomFromPackageVersionCommand: (
  input: DisassociateSbomFromPackageVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_EnableTopicRuleCommand: (
  input: EnableTopicRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetBehaviorModelTrainingSummariesCommand: (
  input: GetBehaviorModelTrainingSummariesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetBucketsAggregationCommand: (
  input: GetBucketsAggregationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetCardinalityCommand: (
  input: GetCardinalityCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetEffectivePoliciesCommand: (
  input: GetEffectivePoliciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetIndexingConfigurationCommand: (
  input: GetIndexingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetJobDocumentCommand: (
  input: GetJobDocumentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetLoggingOptionsCommand: (
  input: GetLoggingOptionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetOTAUpdateCommand: (
  input: GetOTAUpdateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPackageCommand: (
  input: GetPackageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPackageConfigurationCommand: (
  input: GetPackageConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPackageVersionCommand: (
  input: GetPackageVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPercentilesCommand: (
  input: GetPercentilesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPolicyCommand: (
  input: GetPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPolicyVersionCommand: (
  input: GetPolicyVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetRegistrationCodeCommand: (
  input: GetRegistrationCodeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetStatisticsCommand: (
  input: GetStatisticsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetTopicRuleCommand: (
  input: GetTopicRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetTopicRuleDestinationCommand: (
  input: GetTopicRuleDestinationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetV2LoggingOptionsCommand: (
  input: GetV2LoggingOptionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListActiveViolationsCommand: (
  input: ListActiveViolationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAttachedPoliciesCommand: (
  input: ListAttachedPoliciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAuditFindingsCommand: (
  input: ListAuditFindingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAuditMitigationActionsExecutionsCommand: (
  input: ListAuditMitigationActionsExecutionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAuditMitigationActionsTasksCommand: (
  input: ListAuditMitigationActionsTasksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAuditSuppressionsCommand: (
  input: ListAuditSuppressionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAuditTasksCommand: (
  input: ListAuditTasksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAuthorizersCommand: (
  input: ListAuthorizersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListBillingGroupsCommand: (
  input: ListBillingGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListCACertificatesCommand: (
  input: ListCACertificatesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListCertificateProvidersCommand: (
  input: ListCertificateProvidersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListCertificatesCommand: (
  input: ListCertificatesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListCertificatesByCACommand: (
  input: ListCertificatesByCACommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListCustomMetricsCommand: (
  input: ListCustomMetricsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDetectMitigationActionsExecutionsCommand: (
  input: ListDetectMitigationActionsExecutionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDetectMitigationActionsTasksCommand: (
  input: ListDetectMitigationActionsTasksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDimensionsCommand: (
  input: ListDimensionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDomainConfigurationsCommand: (
  input: ListDomainConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListFleetMetricsCommand: (
  input: ListFleetMetricsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListIndicesCommand: (
  input: ListIndicesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListJobExecutionsForJobCommand: (
  input: ListJobExecutionsForJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListJobExecutionsForThingCommand: (
  input: ListJobExecutionsForThingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListJobsCommand: (
  input: ListJobsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListJobTemplatesCommand: (
  input: ListJobTemplatesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListManagedJobTemplatesCommand: (
  input: ListManagedJobTemplatesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListMetricValuesCommand: (
  input: ListMetricValuesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListMitigationActionsCommand: (
  input: ListMitigationActionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListOTAUpdatesCommand: (
  input: ListOTAUpdatesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListOutgoingCertificatesCommand: (
  input: ListOutgoingCertificatesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPackagesCommand: (
  input: ListPackagesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPackageVersionsCommand: (
  input: ListPackageVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPoliciesCommand: (
  input: ListPoliciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPolicyPrincipalsCommand: (
  input: ListPolicyPrincipalsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPolicyVersionsCommand: (
  input: ListPolicyVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPrincipalPoliciesCommand: (
  input: ListPrincipalPoliciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPrincipalThingsCommand: (
  input: ListPrincipalThingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListProvisioningTemplatesCommand: (
  input: ListProvisioningTemplatesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListProvisioningTemplateVersionsCommand: (
  input: ListProvisioningTemplateVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRelatedResourcesForAuditFindingCommand: (
  input: ListRelatedResourcesForAuditFindingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRoleAliasesCommand: (
  input: ListRoleAliasesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSbomValidationResultsCommand: (
  input: ListSbomValidationResultsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListScheduledAuditsCommand: (
  input: ListScheduledAuditsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSecurityProfilesCommand: (
  input: ListSecurityProfilesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSecurityProfilesForTargetCommand: (
  input: ListSecurityProfilesForTargetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListStreamsCommand: (
  input: ListStreamsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTargetsForPolicyCommand: (
  input: ListTargetsForPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTargetsForSecurityProfileCommand: (
  input: ListTargetsForSecurityProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListThingGroupsCommand: (
  input: ListThingGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListThingGroupsForThingCommand: (
  input: ListThingGroupsForThingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListThingPrincipalsCommand: (
  input: ListThingPrincipalsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListThingRegistrationTaskReportsCommand: (
  input: ListThingRegistrationTaskReportsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListThingRegistrationTasksCommand: (
  input: ListThingRegistrationTasksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListThingsCommand: (
  input: ListThingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListThingsInBillingGroupCommand: (
  input: ListThingsInBillingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListThingsInThingGroupCommand: (
  input: ListThingsInThingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListThingTypesCommand: (
  input: ListThingTypesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTopicRuleDestinationsCommand: (
  input: ListTopicRuleDestinationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTopicRulesCommand: (
  input: ListTopicRulesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListV2LoggingLevelsCommand: (
  input: ListV2LoggingLevelsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListViolationEventsCommand: (
  input: ListViolationEventsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutVerificationStateOnViolationCommand: (
  input: PutVerificationStateOnViolationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RegisterCACertificateCommand: (
  input: RegisterCACertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RegisterCertificateCommand: (
  input: RegisterCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RegisterCertificateWithoutCACommand: (
  input: RegisterCertificateWithoutCACommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RegisterThingCommand: (
  input: RegisterThingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RejectCertificateTransferCommand: (
  input: RejectCertificateTransferCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RemoveThingFromBillingGroupCommand: (
  input: RemoveThingFromBillingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RemoveThingFromThingGroupCommand: (
  input: RemoveThingFromThingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ReplaceTopicRuleCommand: (
  input: ReplaceTopicRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchIndexCommand: (
  input: SearchIndexCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SetDefaultAuthorizerCommand: (
  input: SetDefaultAuthorizerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SetDefaultPolicyVersionCommand: (
  input: SetDefaultPolicyVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SetLoggingOptionsCommand: (
  input: SetLoggingOptionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SetV2LoggingLevelCommand: (
  input: SetV2LoggingLevelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SetV2LoggingOptionsCommand: (
  input: SetV2LoggingOptionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartAuditMitigationActionsTaskCommand: (
  input: StartAuditMitigationActionsTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartDetectMitigationActionsTaskCommand: (
  input: StartDetectMitigationActionsTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartOnDemandAuditTaskCommand: (
  input: StartOnDemandAuditTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartThingRegistrationTaskCommand: (
  input: StartThingRegistrationTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopThingRegistrationTaskCommand: (
  input: StopThingRegistrationTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TestAuthorizationCommand: (
  input: TestAuthorizationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TestInvokeAuthorizerCommand: (
  input: TestInvokeAuthorizerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TransferCertificateCommand: (
  input: TransferCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateAccountAuditConfigurationCommand: (
  input: UpdateAccountAuditConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateAuditSuppressionCommand: (
  input: UpdateAuditSuppressionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateAuthorizerCommand: (
  input: UpdateAuthorizerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateBillingGroupCommand: (
  input: UpdateBillingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateCACertificateCommand: (
  input: UpdateCACertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateCertificateCommand: (
  input: UpdateCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateCertificateProviderCommand: (
  input: UpdateCertificateProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateCustomMetricCommand: (
  input: UpdateCustomMetricCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateDimensionCommand: (
  input: UpdateDimensionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateDomainConfigurationCommand: (
  input: UpdateDomainConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateDynamicThingGroupCommand: (
  input: UpdateDynamicThingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateEventConfigurationsCommand: (
  input: UpdateEventConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateFleetMetricCommand: (
  input: UpdateFleetMetricCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateIndexingConfigurationCommand: (
  input: UpdateIndexingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateJobCommand: (
  input: UpdateJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateMitigationActionCommand: (
  input: UpdateMitigationActionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdatePackageCommand: (
  input: UpdatePackageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdatePackageConfigurationCommand: (
  input: UpdatePackageConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdatePackageVersionCommand: (
  input: UpdatePackageVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateProvisioningTemplateCommand: (
  input: UpdateProvisioningTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateRoleAliasCommand: (
  input: UpdateRoleAliasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateScheduledAuditCommand: (
  input: UpdateScheduledAuditCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateSecurityProfileCommand: (
  input: UpdateSecurityProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateStreamCommand: (
  input: UpdateStreamCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateThingCommand: (
  input: UpdateThingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateThingGroupCommand: (
  input: UpdateThingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateThingGroupsForThingCommand: (
  input: UpdateThingGroupsForThingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateTopicRuleDestinationCommand: (
  input: UpdateTopicRuleDestinationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ValidateSecurityProfileBehaviorsCommand: (
  input: ValidateSecurityProfileBehaviorsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_AcceptCertificateTransferCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AcceptCertificateTransferCommandOutput>;
export declare const de_AddThingToBillingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AddThingToBillingGroupCommandOutput>;
export declare const de_AddThingToThingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AddThingToThingGroupCommandOutput>;
export declare const de_AssociateSbomWithPackageVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateSbomWithPackageVersionCommandOutput>;
export declare const de_AssociateTargetsWithJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateTargetsWithJobCommandOutput>;
export declare const de_AttachPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AttachPolicyCommandOutput>;
export declare const de_AttachPrincipalPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AttachPrincipalPolicyCommandOutput>;
export declare const de_AttachSecurityProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AttachSecurityProfileCommandOutput>;
export declare const de_AttachThingPrincipalCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AttachThingPrincipalCommandOutput>;
export declare const de_CancelAuditMitigationActionsTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CancelAuditMitigationActionsTaskCommandOutput>;
export declare const de_CancelAuditTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CancelAuditTaskCommandOutput>;
export declare const de_CancelCertificateTransferCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CancelCertificateTransferCommandOutput>;
export declare const de_CancelDetectMitigationActionsTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CancelDetectMitigationActionsTaskCommandOutput>;
export declare const de_CancelJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CancelJobCommandOutput>;
export declare const de_CancelJobExecutionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CancelJobExecutionCommandOutput>;
export declare const de_ClearDefaultAuthorizerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ClearDefaultAuthorizerCommandOutput>;
export declare const de_ConfirmTopicRuleDestinationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ConfirmTopicRuleDestinationCommandOutput>;
export declare const de_CreateAuditSuppressionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAuditSuppressionCommandOutput>;
export declare const de_CreateAuthorizerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAuthorizerCommandOutput>;
export declare const de_CreateBillingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateBillingGroupCommandOutput>;
export declare const de_CreateCertificateFromCsrCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateCertificateFromCsrCommandOutput>;
export declare const de_CreateCertificateProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateCertificateProviderCommandOutput>;
export declare const de_CreateCustomMetricCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateCustomMetricCommandOutput>;
export declare const de_CreateDimensionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDimensionCommandOutput>;
export declare const de_CreateDomainConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDomainConfigurationCommandOutput>;
export declare const de_CreateDynamicThingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDynamicThingGroupCommandOutput>;
export declare const de_CreateFleetMetricCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateFleetMetricCommandOutput>;
export declare const de_CreateJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateJobCommandOutput>;
export declare const de_CreateJobTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateJobTemplateCommandOutput>;
export declare const de_CreateKeysAndCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateKeysAndCertificateCommandOutput>;
export declare const de_CreateMitigationActionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateMitigationActionCommandOutput>;
export declare const de_CreateOTAUpdateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateOTAUpdateCommandOutput>;
export declare const de_CreatePackageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreatePackageCommandOutput>;
export declare const de_CreatePackageVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreatePackageVersionCommandOutput>;
export declare const de_CreatePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreatePolicyCommandOutput>;
export declare const de_CreatePolicyVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreatePolicyVersionCommandOutput>;
export declare const de_CreateProvisioningClaimCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateProvisioningClaimCommandOutput>;
export declare const de_CreateProvisioningTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateProvisioningTemplateCommandOutput>;
export declare const de_CreateProvisioningTemplateVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateProvisioningTemplateVersionCommandOutput>;
export declare const de_CreateRoleAliasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateRoleAliasCommandOutput>;
export declare const de_CreateScheduledAuditCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateScheduledAuditCommandOutput>;
export declare const de_CreateSecurityProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateSecurityProfileCommandOutput>;
export declare const de_CreateStreamCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateStreamCommandOutput>;
export declare const de_CreateThingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateThingCommandOutput>;
export declare const de_CreateThingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateThingGroupCommandOutput>;
export declare const de_CreateThingTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateThingTypeCommandOutput>;
export declare const de_CreateTopicRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateTopicRuleCommandOutput>;
export declare const de_CreateTopicRuleDestinationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateTopicRuleDestinationCommandOutput>;
export declare const de_DeleteAccountAuditConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAccountAuditConfigurationCommandOutput>;
export declare const de_DeleteAuditSuppressionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAuditSuppressionCommandOutput>;
export declare const de_DeleteAuthorizerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAuthorizerCommandOutput>;
export declare const de_DeleteBillingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteBillingGroupCommandOutput>;
export declare const de_DeleteCACertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCACertificateCommandOutput>;
export declare const de_DeleteCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCertificateCommandOutput>;
export declare const de_DeleteCertificateProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCertificateProviderCommandOutput>;
export declare const de_DeleteCustomMetricCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCustomMetricCommandOutput>;
export declare const de_DeleteDimensionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDimensionCommandOutput>;
export declare const de_DeleteDomainConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDomainConfigurationCommandOutput>;
export declare const de_DeleteDynamicThingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDynamicThingGroupCommandOutput>;
export declare const de_DeleteFleetMetricCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteFleetMetricCommandOutput>;
export declare const de_DeleteJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteJobCommandOutput>;
export declare const de_DeleteJobExecutionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteJobExecutionCommandOutput>;
export declare const de_DeleteJobTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteJobTemplateCommandOutput>;
export declare const de_DeleteMitigationActionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteMitigationActionCommandOutput>;
export declare const de_DeleteOTAUpdateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteOTAUpdateCommandOutput>;
export declare const de_DeletePackageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePackageCommandOutput>;
export declare const de_DeletePackageVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePackageVersionCommandOutput>;
export declare const de_DeletePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePolicyCommandOutput>;
export declare const de_DeletePolicyVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePolicyVersionCommandOutput>;
export declare const de_DeleteProvisioningTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteProvisioningTemplateCommandOutput>;
export declare const de_DeleteProvisioningTemplateVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteProvisioningTemplateVersionCommandOutput>;
export declare const de_DeleteRegistrationCodeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRegistrationCodeCommandOutput>;
export declare const de_DeleteRoleAliasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRoleAliasCommandOutput>;
export declare const de_DeleteScheduledAuditCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteScheduledAuditCommandOutput>;
export declare const de_DeleteSecurityProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteSecurityProfileCommandOutput>;
export declare const de_DeleteStreamCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteStreamCommandOutput>;
export declare const de_DeleteThingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteThingCommandOutput>;
export declare const de_DeleteThingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteThingGroupCommandOutput>;
export declare const de_DeleteThingTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteThingTypeCommandOutput>;
export declare const de_DeleteTopicRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteTopicRuleCommandOutput>;
export declare const de_DeleteTopicRuleDestinationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteTopicRuleDestinationCommandOutput>;
export declare const de_DeleteV2LoggingLevelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteV2LoggingLevelCommandOutput>;
export declare const de_DeprecateThingTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeprecateThingTypeCommandOutput>;
export declare const de_DescribeAccountAuditConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAccountAuditConfigurationCommandOutput>;
export declare const de_DescribeAuditFindingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAuditFindingCommandOutput>;
export declare const de_DescribeAuditMitigationActionsTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAuditMitigationActionsTaskCommandOutput>;
export declare const de_DescribeAuditSuppressionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAuditSuppressionCommandOutput>;
export declare const de_DescribeAuditTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAuditTaskCommandOutput>;
export declare const de_DescribeAuthorizerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAuthorizerCommandOutput>;
export declare const de_DescribeBillingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeBillingGroupCommandOutput>;
export declare const de_DescribeCACertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeCACertificateCommandOutput>;
export declare const de_DescribeCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeCertificateCommandOutput>;
export declare const de_DescribeCertificateProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeCertificateProviderCommandOutput>;
export declare const de_DescribeCustomMetricCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeCustomMetricCommandOutput>;
export declare const de_DescribeDefaultAuthorizerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDefaultAuthorizerCommandOutput>;
export declare const de_DescribeDetectMitigationActionsTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDetectMitigationActionsTaskCommandOutput>;
export declare const de_DescribeDimensionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDimensionCommandOutput>;
export declare const de_DescribeDomainConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDomainConfigurationCommandOutput>;
export declare const de_DescribeEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEndpointCommandOutput>;
export declare const de_DescribeEventConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEventConfigurationsCommandOutput>;
export declare const de_DescribeFleetMetricCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeFleetMetricCommandOutput>;
export declare const de_DescribeIndexCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeIndexCommandOutput>;
export declare const de_DescribeJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeJobCommandOutput>;
export declare const de_DescribeJobExecutionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeJobExecutionCommandOutput>;
export declare const de_DescribeJobTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeJobTemplateCommandOutput>;
export declare const de_DescribeManagedJobTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeManagedJobTemplateCommandOutput>;
export declare const de_DescribeMitigationActionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeMitigationActionCommandOutput>;
export declare const de_DescribeProvisioningTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeProvisioningTemplateCommandOutput>;
export declare const de_DescribeProvisioningTemplateVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeProvisioningTemplateVersionCommandOutput>;
export declare const de_DescribeRoleAliasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeRoleAliasCommandOutput>;
export declare const de_DescribeScheduledAuditCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeScheduledAuditCommandOutput>;
export declare const de_DescribeSecurityProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeSecurityProfileCommandOutput>;
export declare const de_DescribeStreamCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeStreamCommandOutput>;
export declare const de_DescribeThingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeThingCommandOutput>;
export declare const de_DescribeThingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeThingGroupCommandOutput>;
export declare const de_DescribeThingRegistrationTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeThingRegistrationTaskCommandOutput>;
export declare const de_DescribeThingTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeThingTypeCommandOutput>;
export declare const de_DetachPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DetachPolicyCommandOutput>;
export declare const de_DetachPrincipalPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DetachPrincipalPolicyCommandOutput>;
export declare const de_DetachSecurityProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DetachSecurityProfileCommandOutput>;
export declare const de_DetachThingPrincipalCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DetachThingPrincipalCommandOutput>;
export declare const de_DisableTopicRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisableTopicRuleCommandOutput>;
export declare const de_DisassociateSbomFromPackageVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateSbomFromPackageVersionCommandOutput>;
export declare const de_EnableTopicRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<EnableTopicRuleCommandOutput>;
export declare const de_GetBehaviorModelTrainingSummariesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetBehaviorModelTrainingSummariesCommandOutput>;
export declare const de_GetBucketsAggregationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetBucketsAggregationCommandOutput>;
export declare const de_GetCardinalityCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCardinalityCommandOutput>;
export declare const de_GetEffectivePoliciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetEffectivePoliciesCommandOutput>;
export declare const de_GetIndexingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetIndexingConfigurationCommandOutput>;
export declare const de_GetJobDocumentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetJobDocumentCommandOutput>;
export declare const de_GetLoggingOptionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetLoggingOptionsCommandOutput>;
export declare const de_GetOTAUpdateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetOTAUpdateCommandOutput>;
export declare const de_GetPackageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPackageCommandOutput>;
export declare const de_GetPackageConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPackageConfigurationCommandOutput>;
export declare const de_GetPackageVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPackageVersionCommandOutput>;
export declare const de_GetPercentilesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPercentilesCommandOutput>;
export declare const de_GetPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPolicyCommandOutput>;
export declare const de_GetPolicyVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPolicyVersionCommandOutput>;
export declare const de_GetRegistrationCodeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetRegistrationCodeCommandOutput>;
export declare const de_GetStatisticsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetStatisticsCommandOutput>;
export declare const de_GetTopicRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetTopicRuleCommandOutput>;
export declare const de_GetTopicRuleDestinationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetTopicRuleDestinationCommandOutput>;
export declare const de_GetV2LoggingOptionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetV2LoggingOptionsCommandOutput>;
export declare const de_ListActiveViolationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListActiveViolationsCommandOutput>;
export declare const de_ListAttachedPoliciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAttachedPoliciesCommandOutput>;
export declare const de_ListAuditFindingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAuditFindingsCommandOutput>;
export declare const de_ListAuditMitigationActionsExecutionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAuditMitigationActionsExecutionsCommandOutput>;
export declare const de_ListAuditMitigationActionsTasksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAuditMitigationActionsTasksCommandOutput>;
export declare const de_ListAuditSuppressionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAuditSuppressionsCommandOutput>;
export declare const de_ListAuditTasksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAuditTasksCommandOutput>;
export declare const de_ListAuthorizersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAuthorizersCommandOutput>;
export declare const de_ListBillingGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListBillingGroupsCommandOutput>;
export declare const de_ListCACertificatesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListCACertificatesCommandOutput>;
export declare const de_ListCertificateProvidersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListCertificateProvidersCommandOutput>;
export declare const de_ListCertificatesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListCertificatesCommandOutput>;
export declare const de_ListCertificatesByCACommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListCertificatesByCACommandOutput>;
export declare const de_ListCustomMetricsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListCustomMetricsCommandOutput>;
export declare const de_ListDetectMitigationActionsExecutionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDetectMitigationActionsExecutionsCommandOutput>;
export declare const de_ListDetectMitigationActionsTasksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDetectMitigationActionsTasksCommandOutput>;
export declare const de_ListDimensionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDimensionsCommandOutput>;
export declare const de_ListDomainConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDomainConfigurationsCommandOutput>;
export declare const de_ListFleetMetricsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListFleetMetricsCommandOutput>;
export declare const de_ListIndicesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListIndicesCommandOutput>;
export declare const de_ListJobExecutionsForJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListJobExecutionsForJobCommandOutput>;
export declare const de_ListJobExecutionsForThingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListJobExecutionsForThingCommandOutput>;
export declare const de_ListJobsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListJobsCommandOutput>;
export declare const de_ListJobTemplatesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListJobTemplatesCommandOutput>;
export declare const de_ListManagedJobTemplatesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListManagedJobTemplatesCommandOutput>;
export declare const de_ListMetricValuesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListMetricValuesCommandOutput>;
export declare const de_ListMitigationActionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListMitigationActionsCommandOutput>;
export declare const de_ListOTAUpdatesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListOTAUpdatesCommandOutput>;
export declare const de_ListOutgoingCertificatesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListOutgoingCertificatesCommandOutput>;
export declare const de_ListPackagesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPackagesCommandOutput>;
export declare const de_ListPackageVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPackageVersionsCommandOutput>;
export declare const de_ListPoliciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPoliciesCommandOutput>;
export declare const de_ListPolicyPrincipalsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPolicyPrincipalsCommandOutput>;
export declare const de_ListPolicyVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPolicyVersionsCommandOutput>;
export declare const de_ListPrincipalPoliciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPrincipalPoliciesCommandOutput>;
export declare const de_ListPrincipalThingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPrincipalThingsCommandOutput>;
export declare const de_ListProvisioningTemplatesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListProvisioningTemplatesCommandOutput>;
export declare const de_ListProvisioningTemplateVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListProvisioningTemplateVersionsCommandOutput>;
export declare const de_ListRelatedResourcesForAuditFindingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRelatedResourcesForAuditFindingCommandOutput>;
export declare const de_ListRoleAliasesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRoleAliasesCommandOutput>;
export declare const de_ListSbomValidationResultsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSbomValidationResultsCommandOutput>;
export declare const de_ListScheduledAuditsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListScheduledAuditsCommandOutput>;
export declare const de_ListSecurityProfilesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSecurityProfilesCommandOutput>;
export declare const de_ListSecurityProfilesForTargetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSecurityProfilesForTargetCommandOutput>;
export declare const de_ListStreamsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListStreamsCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_ListTargetsForPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTargetsForPolicyCommandOutput>;
export declare const de_ListTargetsForSecurityProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTargetsForSecurityProfileCommandOutput>;
export declare const de_ListThingGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListThingGroupsCommandOutput>;
export declare const de_ListThingGroupsForThingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListThingGroupsForThingCommandOutput>;
export declare const de_ListThingPrincipalsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListThingPrincipalsCommandOutput>;
export declare const de_ListThingRegistrationTaskReportsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListThingRegistrationTaskReportsCommandOutput>;
export declare const de_ListThingRegistrationTasksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListThingRegistrationTasksCommandOutput>;
export declare const de_ListThingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListThingsCommandOutput>;
export declare const de_ListThingsInBillingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListThingsInBillingGroupCommandOutput>;
export declare const de_ListThingsInThingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListThingsInThingGroupCommandOutput>;
export declare const de_ListThingTypesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListThingTypesCommandOutput>;
export declare const de_ListTopicRuleDestinationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTopicRuleDestinationsCommandOutput>;
export declare const de_ListTopicRulesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTopicRulesCommandOutput>;
export declare const de_ListV2LoggingLevelsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListV2LoggingLevelsCommandOutput>;
export declare const de_ListViolationEventsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListViolationEventsCommandOutput>;
export declare const de_PutVerificationStateOnViolationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutVerificationStateOnViolationCommandOutput>;
export declare const de_RegisterCACertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RegisterCACertificateCommandOutput>;
export declare const de_RegisterCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RegisterCertificateCommandOutput>;
export declare const de_RegisterCertificateWithoutCACommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RegisterCertificateWithoutCACommandOutput>;
export declare const de_RegisterThingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RegisterThingCommandOutput>;
export declare const de_RejectCertificateTransferCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RejectCertificateTransferCommandOutput>;
export declare const de_RemoveThingFromBillingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RemoveThingFromBillingGroupCommandOutput>;
export declare const de_RemoveThingFromThingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RemoveThingFromThingGroupCommandOutput>;
export declare const de_ReplaceTopicRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ReplaceTopicRuleCommandOutput>;
export declare const de_SearchIndexCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchIndexCommandOutput>;
export declare const de_SetDefaultAuthorizerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SetDefaultAuthorizerCommandOutput>;
export declare const de_SetDefaultPolicyVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SetDefaultPolicyVersionCommandOutput>;
export declare const de_SetLoggingOptionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SetLoggingOptionsCommandOutput>;
export declare const de_SetV2LoggingLevelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SetV2LoggingLevelCommandOutput>;
export declare const de_SetV2LoggingOptionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SetV2LoggingOptionsCommandOutput>;
export declare const de_StartAuditMitigationActionsTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartAuditMitigationActionsTaskCommandOutput>;
export declare const de_StartDetectMitigationActionsTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartDetectMitigationActionsTaskCommandOutput>;
export declare const de_StartOnDemandAuditTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartOnDemandAuditTaskCommandOutput>;
export declare const de_StartThingRegistrationTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartThingRegistrationTaskCommandOutput>;
export declare const de_StopThingRegistrationTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopThingRegistrationTaskCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_TestAuthorizationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TestAuthorizationCommandOutput>;
export declare const de_TestInvokeAuthorizerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TestInvokeAuthorizerCommandOutput>;
export declare const de_TransferCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TransferCertificateCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateAccountAuditConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAccountAuditConfigurationCommandOutput>;
export declare const de_UpdateAuditSuppressionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAuditSuppressionCommandOutput>;
export declare const de_UpdateAuthorizerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAuthorizerCommandOutput>;
export declare const de_UpdateBillingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateBillingGroupCommandOutput>;
export declare const de_UpdateCACertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateCACertificateCommandOutput>;
export declare const de_UpdateCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateCertificateCommandOutput>;
export declare const de_UpdateCertificateProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateCertificateProviderCommandOutput>;
export declare const de_UpdateCustomMetricCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateCustomMetricCommandOutput>;
export declare const de_UpdateDimensionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateDimensionCommandOutput>;
export declare const de_UpdateDomainConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateDomainConfigurationCommandOutput>;
export declare const de_UpdateDynamicThingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateDynamicThingGroupCommandOutput>;
export declare const de_UpdateEventConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateEventConfigurationsCommandOutput>;
export declare const de_UpdateFleetMetricCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateFleetMetricCommandOutput>;
export declare const de_UpdateIndexingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateIndexingConfigurationCommandOutput>;
export declare const de_UpdateJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateJobCommandOutput>;
export declare const de_UpdateMitigationActionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateMitigationActionCommandOutput>;
export declare const de_UpdatePackageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdatePackageCommandOutput>;
export declare const de_UpdatePackageConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdatePackageConfigurationCommandOutput>;
export declare const de_UpdatePackageVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdatePackageVersionCommandOutput>;
export declare const de_UpdateProvisioningTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateProvisioningTemplateCommandOutput>;
export declare const de_UpdateRoleAliasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRoleAliasCommandOutput>;
export declare const de_UpdateScheduledAuditCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateScheduledAuditCommandOutput>;
export declare const de_UpdateSecurityProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateSecurityProfileCommandOutput>;
export declare const de_UpdateStreamCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateStreamCommandOutput>;
export declare const de_UpdateThingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateThingCommandOutput>;
export declare const de_UpdateThingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateThingGroupCommandOutput>;
export declare const de_UpdateThingGroupsForThingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateThingGroupsForThingCommandOutput>;
export declare const de_UpdateTopicRuleDestinationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateTopicRuleDestinationCommandOutput>;
export declare const de_ValidateSecurityProfileBehaviorsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ValidateSecurityProfileBehaviorsCommandOutput>;
